Disclosure Report¶
Get Resource By ID¶
HTTP Request
GET /api/v1/disclosure_reports/jobs/{id}
📋 Description: Retrieves detailed information about a specific disclosure report job by its unique identifier, facilitating the management of lease-related financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved disclosure report job. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 50000001,
8 "taskCount": 12,
9 "failedTaskCount": 0,
10 "doneTaskCount": 10,
11 "inProgressTaskCount": 2,
12 "cancelledTaskCount": 0,
13 "errorMessage": "Task execution failed due to timeout.",
14 "executor": {
15 "name": "MANUAL",
16 "captionKey": "enum.executorType.MANUAL",
17 "caption": "MANUAL"
18 },
19 "scheduleJobId": 60000001,
20 "batchSize": 5000,
21 "totalObjectCount": 250,
22 "profileId": 70000001,
23 "readOnly": false,
24 "input": {
25 "id": 80000001,
26 "accountingStandardType": {
27 "name": "GAAP",
28 "captionKey": "enum.accountingStandardType.GAAP",
29 "caption": "IFRS 16"
30 },
31 "classifications": [
32 "NON_LEASE"
33 ],
34 "fromYear": 2024,
35 "fromPeriod": {
36 "id": 10000001,
37 "displayId": "FP-2024-Q1",
38 "status": {
39 "name": "ACTIVE",
40 "captionKey": "enum.objectStatus.active",
41 "active": true,
42 "caption": "Active"
43 },
44 "day": 15,
45 "year": 2024,
46 "month": 3,
47 "postingPeriod": 3,
48 "yearShift": 0
49 },
50 "toYear": 2025,
51 "toPeriod": {
52 "id": 10000001,
53 "displayId": "FP-2024-Q1",
54 "status": {
55 "name": "ACTIVE",
56 "captionKey": "enum.objectStatus.active",
57 "active": true,
58 "caption": "Active"
59 },
60 "day": 15,
61 "year": 2024,
62 "month": 3,
63 "postingPeriod": 3,
64 "yearShift": 0
65 },
66 "fromDate": "2024-01-01",
67 "toDate": "2025-12-31",
68 "fromDateType": "USER_DEFINED",
69 "toDateType": "USER_DEFINED",
70 "currencyDisplayId": "USD",
71 "currencyType": "TRANSACTION",
72 "currencyDefinitionType": {
73 "name": "COMPANY_CURRENCY",
74 "captionKey": "enum.currencyDefinitionType.companyCurrency",
75 "caption": "Company Currency"
76 },
77 "activationGroupStatus": {
78 "name": "AG_PENDING_ASSESSMENT",
79 "captionKey": "enum.ActivationGroup.StatusList",
80 "caption": "Activation Group Status"
81 },
82 "reportList": [
83 "NET_LEASE_INVESTMENT_REPORT"
84 ],
85 "listObjectType": {
86 "name": "CONTRACT",
87 "captionKey": "enum.objectType.contract",
88 "caption": "Contract"
89 },
90 "objectList": [
91 {
92 "id": 10000001,
93 "displayId": "ENT-001",
94 "name": "Entity Name"
95 }
96 ],
97 "migratedFilterType": {
98 "name": "ALL",
99 "captionKey": "enum.migratedFilterType.all",
100 "caption": "All"
101 },
102 "assetClassFilterType": {
103 "name": "ALL",
104 "captionKey": "enum.filterType.all",
105 "caption": "All"
106 },
107 "assetClasses": [
108 {
109 "id": 10000001,
110 "displayId": "IAC-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Machinery and Equipment",
118 "assetClassType": "PROPERTY",
119 "infiniteUsefulLife": false
120 }
121 ],
122 "businessAreaFilterType": {
123 "name": "ALL",
124 "captionKey": "enum.filterType.all",
125 "caption": "All"
126 },
127 "businessAreas": [
128 {
129 "id": 3001,
130 "displayId": "BA-2025-001",
131 "status": {
132 "name": "ACTIVE",
133 "captionKey": "enum.objectStatus.active",
134 "active": true,
135 "caption": "Active"
136 },
137 "name": "North America Operations",
138 "erpSystemId": 0
139 }
140 ],
141 "vendorFilterType": {
142 "name": "ALL",
143 "captionKey": "enum.filterType.all",
144 "caption": "All"
145 },
146 "vendors": [
147 {
148 "id": 10000012,
149 "displayId": "0000100003",
150 "status": {
151 "name": "ACTIVE",
152 "captionKey": "enum.objectStatus.active",
153 "active": true,
154 "caption": "Active"
155 },
156 "name": "TEST VENDOR GB",
157 "erpSystemDisplayId": "FINQ8S-300"
158 }
159 ]
160 },
161 "filter": {
162 "id": 90000001,
163 "name": "Q4 2024 Disclosure Filter",
164 "principalPositionType": {
165 "name": "LESSEE",
166 "captionKey": "enum.principalpositiontype.lessee",
167 "caption": "Lessee"
168 },
169 "calendarType": {
170 "name": "_360",
171 "captionKey": "enum.calendarType.360",
172 "caption": "360 Convention"
173 },
174 "fiscalYearVariant": {
175 "id": "string",
176 "displayId": "Euro"
177 },
178 "profileId": 70000001,
179 "jobId": 50000001,
180 "filterTypes": {
181 "erpSystemFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "erpSystems": [
187 {
188 "id": 10000001,
189 "displayId": "ERP-001",
190 "status": {
191 "name": "ACTIVE",
192 "captionKey": "enum.objectStatus.active",
193 "active": true,
194 "caption": "Active"
195 },
196 "name": "SAP Production System",
197 "type": {
198 "name": "NAKISA",
199 "captionKey": "enum.erpSystemType.NAKISA",
200 "caption": "NAKISA"
201 },
202 "sapVersion": {
203 "name": "ECC_EHP5",
204 "captionKey": "enum.sapVersion.ECC_EHP5",
205 "caption": "ECC_EHP5"
206 }
207 }
208 ],
209 "leaseAreaFilterType": {
210 "name": "ALL",
211 "captionKey": "enum.filterType.all",
212 "caption": "All"
213 },
214 "leaseAreas": [
215 {
216 "id": 10000001,
217 "displayId": "0001",
218 "status": {
219 "name": "ACTIVE",
220 "captionKey": "enum.objectStatus.active",
221 "active": true,
222 "caption": "Active"
223 },
224 "name": "Global Lease Area"
225 }
226 ],
227 "businessUnitFilterType": {
228 "name": "ALL",
229 "captionKey": "enum.filterType.all",
230 "caption": "All"
231 },
232 "businessUnits": [
233 {
234 "id": 10000001,
235 "displayId": "BU0001",
236 "status": {
237 "name": "ACTIVE",
238 "captionKey": "enum.objectStatus.active",
239 "active": true,
240 "caption": "Active"
241 },
242 "name": "North America Business Unit"
243 }
244 ],
245 "companyFilterType": {
246 "name": "ALL",
247 "captionKey": "enum.filterType.all",
248 "caption": "All"
249 },
250 "companies": [
251 {
252 "id": 10000006,
253 "displayId": "1005",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "erpSystemId": 10000001,
261 "erpSystemDisplayId": "FINQ8S-300",
262 "countryId": 10000095,
263 "countryDisplayId": "CA",
264 "name": "string",
265 "postingPeriodVariantId": 0,
266 "fiscalVariantId": 0
267 }
268 ],
269 "leaseDepartmentFilterType": {
270 "name": "ALL",
271 "captionKey": "enum.filterType.all",
272 "caption": "All"
273 },
274 "leaseDepartments": [
275 {
276 "id": 300001,
277 "displayId": "DEP-01",
278 "status": {
279 "name": "ACTIVE",
280 "captionKey": "enum.objectStatus.active",
281 "active": true,
282 "caption": "Active"
283 },
284 "name": "Finance Department"
285 }
286 ],
287 "leaseGroupFilterType": {
288 "name": "ALL",
289 "captionKey": "enum.filterType.all",
290 "caption": "All"
291 },
292 "leaseGroups": [
293 {
294 "id": 60000001,
295 "displayId": "LG-001",
296 "status": {
297 "name": "ACTIVE",
298 "captionKey": "enum.objectStatus.active",
299 "active": true,
300 "caption": "Active"
301 },
302 "name": "Global Lease Group"
303 }
304 ],
305 "costCenterFilterType": {
306 "name": "ALL",
307 "captionKey": "enum.filterType.all",
308 "caption": "All"
309 },
310 "costCenters": [
311 {
312 "id": 14001,
313 "displayId": "CC-001",
314 "status": {
315 "name": "ACTIVE",
316 "captionKey": "enum.objectStatus.active",
317 "active": true,
318 "caption": "Active"
319 },
320 "name": "Cost Center A",
321 "erpSystemId": 0
322 }
323 ],
324 "profitCenterFilterType": {
325 "name": "ALL",
326 "captionKey": "enum.filterType.all",
327 "caption": "All"
328 },
329 "profitCenters": [
330 {
331 "id": 9001,
332 "displayId": "PC-001",
333 "status": {
334 "name": "ACTIVE",
335 "captionKey": "enum.objectStatus.active",
336 "active": true,
337 "caption": "Active"
338 },
339 "name": "North Region Profit Center",
340 "validTo": "2025-12-31",
341 "erpSystemId": 101,
342 "erpSystemDisplayId": "SAP-01"
343 }
344 ],
345 "wbsFilterType": {
346 "name": "ALL",
347 "captionKey": "enum.filterType.all",
348 "caption": "All"
349 },
350 "wbses": [
351 {
352 "id": 1001,
353 "displayId": "WBS-2025-001",
354 "status": {
355 "name": "ACTIVE",
356 "captionKey": "enum.objectStatus.active",
357 "active": true,
358 "caption": "Active"
359 },
360 "name": "Main Project WBS",
361 "erpSystemId": 0
362 }
363 ],
364 "businessAreaFilterType": {
365 "name": "ALL",
366 "captionKey": "enum.filterType.all",
367 "caption": "All"
368 },
369 "businessAreas": [
370 {
371 "id": 3001,
372 "displayId": "BA-2025-001",
373 "status": {
374 "name": "ACTIVE",
375 "captionKey": "enum.objectStatus.active",
376 "active": true,
377 "caption": "Active"
378 },
379 "name": "North America Operations",
380 "erpSystemId": 0
381 }
382 ],
383 "functionalAreaFilterType": {
384 "name": "ALL",
385 "captionKey": "enum.filterType.all",
386 "caption": "All"
387 },
388 "functionalAreas": [
389 {
390 "id": 2001,
391 "displayId": "FA-2025-001",
392 "status": {
393 "name": "ACTIVE",
394 "captionKey": "enum.objectStatus.active",
395 "active": true,
396 "caption": "Active"
397 },
398 "name": "Accounting Department",
399 "erpSystemId": 0
400 }
401 ]
402 },
403 "baseIdList": [
404 {
405 "id": 10000001,
406 "displayId": "string",
407 "objectType": "LEASE_AREA"
408 }
409 ]
410 },
411 "tasks": [
412 {
413 "id": 100000001,
414 "queueTime": "2025-01-15T10:30:00Z",
415 "startTime": "2025-01-15T10:35:00Z",
416 "endTime": "2025-01-15T11:00:00Z",
417 "interruptedAt": "2019-08-24T14:15:22Z",
418 "recoveredAt": "2019-08-24T14:15:22Z",
419 "status": {
420 "name": "COMPLETED",
421 "captionKey": "enum.taskStatus.completed",
422 "caption": "Completed"
423 },
424 "recover": false,
425 "interrupted": false,
426 "interruptionMessage": "string",
427 "errorMessage": "string",
428 "disclosureReportType": {
429 "name": "NET_LEASE_INVESTMENT_REPORT",
430 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
431 "caption": "Net Lease Investment Report"
432 },
433 "fileStorageId": "storage-abc123xyz",
434 "jsonFileStorageId": "json-storage-def456uvw",
435 "generatingExportFile": false,
436 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
437 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
438 "reportJobId": 50000001,
439 "version": 1,
440 "jsonDocStoreIds": [
441 100001,
442 100002
443 ],
444 "docStoreId": 200000001
445 }
446 ]
447 }
448}
Update Resource¶
HTTP Request
PUT /api/v1/disclosure_reports/jobs/{id}
📋 Description: Updates the specified disclosure report job in the Nakisa Lease Accounting Suite, allowing users to modify details related to lease contracts and financial obligations for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing the updated disclosure report data, including lease and contract details, financial obligations, and relevant accounting entries. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Body Parameters
1{
2 "id": 50000001,
3 "taskCount": 12,
4 "failedTaskCount": 0,
5 "doneTaskCount": 10,
6 "inProgressTaskCount": 2,
7 "cancelledTaskCount": 0,
8 "errorMessage": "Task execution failed due to timeout.",
9 "executor": {
10 "name": "MANUAL",
11 "captionKey": "enum.executorType.MANUAL",
12 "caption": "MANUAL"
13 },
14 "scheduleJobId": 60000001,
15 "batchSize": 5000,
16 "totalObjectCount": 250,
17 "profileId": 70000001,
18 "readOnly": false,
19 "input": {
20 "id": 80000001,
21 "accountingStandardType": {
22 "name": "GAAP",
23 "captionKey": "enum.accountingStandardType.GAAP",
24 "caption": "IFRS 16"
25 },
26 "classifications": [
27 "NON_LEASE"
28 ],
29 "fromYear": 2024,
30 "fromPeriod": {
31 "id": 10000001,
32 "displayId": "FP-2024-Q1",
33 "status": {
34 "name": "ACTIVE",
35 "captionKey": "enum.objectStatus.active",
36 "active": true,
37 "caption": "Active"
38 },
39 "day": 15,
40 "year": 2024,
41 "month": 3,
42 "postingPeriod": 3,
43 "yearShift": 0
44 },
45 "toYear": 2025,
46 "toPeriod": {
47 "id": 10000001,
48 "displayId": "FP-2024-Q1",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "day": 15,
56 "year": 2024,
57 "month": 3,
58 "postingPeriod": 3,
59 "yearShift": 0
60 },
61 "fromDate": "2024-01-01",
62 "toDate": "2025-12-31",
63 "fromDateType": "USER_DEFINED",
64 "toDateType": "USER_DEFINED",
65 "currencyDisplayId": "USD",
66 "currencyType": "TRANSACTION",
67 "currencyDefinitionType": {
68 "name": "COMPANY_CURRENCY",
69 "captionKey": "enum.currencyDefinitionType.companyCurrency",
70 "caption": "Company Currency"
71 },
72 "activationGroupStatus": {
73 "name": "AG_PENDING_ASSESSMENT",
74 "captionKey": "enum.ActivationGroup.StatusList",
75 "caption": "Activation Group Status"
76 },
77 "reportList": [
78 "NET_LEASE_INVESTMENT_REPORT"
79 ],
80 "listObjectType": {
81 "name": "CONTRACT",
82 "captionKey": "enum.objectType.contract",
83 "caption": "Contract"
84 },
85 "objectList": [
86 {
87 "id": 10000001,
88 "displayId": "ENT-001",
89 "name": "Entity Name"
90 }
91 ],
92 "migratedFilterType": {
93 "name": "ALL",
94 "captionKey": "enum.migratedFilterType.all",
95 "caption": "All"
96 },
97 "assetClassFilterType": {
98 "name": "ALL",
99 "captionKey": "enum.filterType.all",
100 "caption": "All"
101 },
102 "assetClasses": [
103 {
104 "id": 10000001,
105 "displayId": "IAC-001",
106 "status": {
107 "name": "ACTIVE",
108 "captionKey": "enum.objectStatus.active",
109 "active": true,
110 "caption": "Active"
111 },
112 "name": "Machinery and Equipment",
113 "assetClassType": "PROPERTY",
114 "infiniteUsefulLife": false
115 }
116 ],
117 "businessAreaFilterType": {
118 "name": "ALL",
119 "captionKey": "enum.filterType.all",
120 "caption": "All"
121 },
122 "businessAreas": [
123 {
124 "id": 3001,
125 "displayId": "BA-2025-001",
126 "status": {
127 "name": "ACTIVE",
128 "captionKey": "enum.objectStatus.active",
129 "active": true,
130 "caption": "Active"
131 },
132 "name": "North America Operations",
133 "erpSystemId": 0
134 }
135 ],
136 "vendorFilterType": {
137 "name": "ALL",
138 "captionKey": "enum.filterType.all",
139 "caption": "All"
140 },
141 "vendors": [
142 {
143 "id": 10000012,
144 "displayId": "0000100003",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "TEST VENDOR GB",
152 "erpSystemDisplayId": "FINQ8S-300"
153 }
154 ]
155 },
156 "filter": {
157 "id": 90000001,
158 "name": "Q4 2024 Disclosure Filter",
159 "principalPositionType": {
160 "name": "LESSEE",
161 "captionKey": "enum.principalpositiontype.lessee",
162 "caption": "Lessee"
163 },
164 "calendarType": {
165 "name": "_360",
166 "captionKey": "enum.calendarType.360",
167 "caption": "360 Convention"
168 },
169 "fiscalYearVariant": {
170 "id": "string",
171 "displayId": "Euro"
172 },
173 "profileId": 70000001,
174 "jobId": 50000001,
175 "filterTypes": {
176 "erpSystemFilterType": {
177 "name": "ALL",
178 "captionKey": "enum.filterType.all",
179 "caption": "All"
180 },
181 "erpSystems": [
182 {
183 "id": 10000001,
184 "displayId": "ERP-001",
185 "status": {
186 "name": "ACTIVE",
187 "captionKey": "enum.objectStatus.active",
188 "active": true,
189 "caption": "Active"
190 },
191 "name": "SAP Production System",
192 "type": {
193 "name": "NAKISA",
194 "captionKey": "enum.erpSystemType.NAKISA",
195 "caption": "NAKISA"
196 },
197 "sapVersion": {
198 "name": "ECC_EHP5",
199 "captionKey": "enum.sapVersion.ECC_EHP5",
200 "caption": "ECC_EHP5"
201 }
202 }
203 ],
204 "leaseAreaFilterType": {
205 "name": "ALL",
206 "captionKey": "enum.filterType.all",
207 "caption": "All"
208 },
209 "leaseAreas": [
210 {
211 "id": 10000001,
212 "displayId": "0001",
213 "status": {
214 "name": "ACTIVE",
215 "captionKey": "enum.objectStatus.active",
216 "active": true,
217 "caption": "Active"
218 },
219 "name": "Global Lease Area"
220 }
221 ],
222 "businessUnitFilterType": {
223 "name": "ALL",
224 "captionKey": "enum.filterType.all",
225 "caption": "All"
226 },
227 "businessUnits": [
228 {
229 "id": 10000001,
230 "displayId": "BU0001",
231 "status": {
232 "name": "ACTIVE",
233 "captionKey": "enum.objectStatus.active",
234 "active": true,
235 "caption": "Active"
236 },
237 "name": "North America Business Unit"
238 }
239 ],
240 "companyFilterType": {
241 "name": "ALL",
242 "captionKey": "enum.filterType.all",
243 "caption": "All"
244 },
245 "companies": [
246 {
247 "id": 10000006,
248 "displayId": "1005",
249 "status": {
250 "name": "ACTIVE",
251 "captionKey": "enum.objectStatus.active",
252 "active": true,
253 "caption": "Active"
254 },
255 "erpSystemId": 10000001,
256 "erpSystemDisplayId": "FINQ8S-300",
257 "countryId": 10000095,
258 "countryDisplayId": "CA",
259 "name": "string",
260 "postingPeriodVariantId": 0,
261 "fiscalVariantId": 0
262 }
263 ],
264 "leaseDepartmentFilterType": {
265 "name": "ALL",
266 "captionKey": "enum.filterType.all",
267 "caption": "All"
268 },
269 "leaseDepartments": [
270 {
271 "id": 300001,
272 "displayId": "DEP-01",
273 "status": {
274 "name": "ACTIVE",
275 "captionKey": "enum.objectStatus.active",
276 "active": true,
277 "caption": "Active"
278 },
279 "name": "Finance Department"
280 }
281 ],
282 "leaseGroupFilterType": {
283 "name": "ALL",
284 "captionKey": "enum.filterType.all",
285 "caption": "All"
286 },
287 "leaseGroups": [
288 {
289 "id": 60000001,
290 "displayId": "LG-001",
291 "status": {
292 "name": "ACTIVE",
293 "captionKey": "enum.objectStatus.active",
294 "active": true,
295 "caption": "Active"
296 },
297 "name": "Global Lease Group"
298 }
299 ],
300 "costCenterFilterType": {
301 "name": "ALL",
302 "captionKey": "enum.filterType.all",
303 "caption": "All"
304 },
305 "costCenters": [
306 {
307 "id": 14001,
308 "displayId": "CC-001",
309 "status": {
310 "name": "ACTIVE",
311 "captionKey": "enum.objectStatus.active",
312 "active": true,
313 "caption": "Active"
314 },
315 "name": "Cost Center A",
316 "erpSystemId": 0
317 }
318 ],
319 "profitCenterFilterType": {
320 "name": "ALL",
321 "captionKey": "enum.filterType.all",
322 "caption": "All"
323 },
324 "profitCenters": [
325 {
326 "id": 9001,
327 "displayId": "PC-001",
328 "status": {
329 "name": "ACTIVE",
330 "captionKey": "enum.objectStatus.active",
331 "active": true,
332 "caption": "Active"
333 },
334 "name": "North Region Profit Center",
335 "validTo": "2025-12-31",
336 "erpSystemId": 101,
337 "erpSystemDisplayId": "SAP-01"
338 }
339 ],
340 "wbsFilterType": {
341 "name": "ALL",
342 "captionKey": "enum.filterType.all",
343 "caption": "All"
344 },
345 "wbses": [
346 {
347 "id": 1001,
348 "displayId": "WBS-2025-001",
349 "status": {
350 "name": "ACTIVE",
351 "captionKey": "enum.objectStatus.active",
352 "active": true,
353 "caption": "Active"
354 },
355 "name": "Main Project WBS",
356 "erpSystemId": 0
357 }
358 ],
359 "businessAreaFilterType": {
360 "name": "ALL",
361 "captionKey": "enum.filterType.all",
362 "caption": "All"
363 },
364 "businessAreas": [
365 {
366 "id": 3001,
367 "displayId": "BA-2025-001",
368 "status": {
369 "name": "ACTIVE",
370 "captionKey": "enum.objectStatus.active",
371 "active": true,
372 "caption": "Active"
373 },
374 "name": "North America Operations",
375 "erpSystemId": 0
376 }
377 ],
378 "functionalAreaFilterType": {
379 "name": "ALL",
380 "captionKey": "enum.filterType.all",
381 "caption": "All"
382 },
383 "functionalAreas": [
384 {
385 "id": 2001,
386 "displayId": "FA-2025-001",
387 "status": {
388 "name": "ACTIVE",
389 "captionKey": "enum.objectStatus.active",
390 "active": true,
391 "caption": "Active"
392 },
393 "name": "Accounting Department",
394 "erpSystemId": 0
395 }
396 ]
397 },
398 "baseIdList": [
399 {
400 "id": 10000001,
401 "displayId": "string",
402 "objectType": "LEASE_AREA"
403 }
404 ]
405 },
406 "tasks": [
407 {
408 "id": 100000001,
409 "queueTime": "2025-01-15T10:30:00Z",
410 "startTime": "2025-01-15T10:35:00Z",
411 "endTime": "2025-01-15T11:00:00Z",
412 "interruptedAt": "2019-08-24T14:15:22Z",
413 "recoveredAt": "2019-08-24T14:15:22Z",
414 "status": {
415 "name": "COMPLETED",
416 "captionKey": "enum.taskStatus.completed",
417 "caption": "Completed"
418 },
419 "recover": false,
420 "interrupted": false,
421 "interruptionMessage": "string",
422 "errorMessage": "string",
423 "disclosureReportType": {
424 "name": "NET_LEASE_INVESTMENT_REPORT",
425 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
426 "caption": "Net Lease Investment Report"
427 },
428 "fileStorageId": "storage-abc123xyz",
429 "jsonFileStorageId": "json-storage-def456uvw",
430 "generatingExportFile": false,
431 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
432 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
433 "reportJobId": 50000001,
434 "version": 1,
435 "jsonDocStoreIds": [
436 100001,
437 100002
438 ],
439 "docStoreId": 200000001
440 }
441 ]
442}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Disclosure report job successfully updated. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 50000001,
8 "taskCount": 12,
9 "failedTaskCount": 0,
10 "doneTaskCount": 10,
11 "inProgressTaskCount": 2,
12 "cancelledTaskCount": 0,
13 "errorMessage": "Task execution failed due to timeout.",
14 "executor": {
15 "name": "MANUAL",
16 "captionKey": "enum.executorType.MANUAL",
17 "caption": "MANUAL"
18 },
19 "scheduleJobId": 60000001,
20 "batchSize": 5000,
21 "totalObjectCount": 250,
22 "profileId": 70000001,
23 "readOnly": false,
24 "input": {
25 "id": 80000001,
26 "accountingStandardType": {
27 "name": "GAAP",
28 "captionKey": "enum.accountingStandardType.GAAP",
29 "caption": "IFRS 16"
30 },
31 "classifications": [
32 "NON_LEASE"
33 ],
34 "fromYear": 2024,
35 "fromPeriod": {
36 "id": 10000001,
37 "displayId": "FP-2024-Q1",
38 "status": {
39 "name": "ACTIVE",
40 "captionKey": "enum.objectStatus.active",
41 "active": true,
42 "caption": "Active"
43 },
44 "day": 15,
45 "year": 2024,
46 "month": 3,
47 "postingPeriod": 3,
48 "yearShift": 0
49 },
50 "toYear": 2025,
51 "toPeriod": {
52 "id": 10000001,
53 "displayId": "FP-2024-Q1",
54 "status": {
55 "name": "ACTIVE",
56 "captionKey": "enum.objectStatus.active",
57 "active": true,
58 "caption": "Active"
59 },
60 "day": 15,
61 "year": 2024,
62 "month": 3,
63 "postingPeriod": 3,
64 "yearShift": 0
65 },
66 "fromDate": "2024-01-01",
67 "toDate": "2025-12-31",
68 "fromDateType": "USER_DEFINED",
69 "toDateType": "USER_DEFINED",
70 "currencyDisplayId": "USD",
71 "currencyType": "TRANSACTION",
72 "currencyDefinitionType": {
73 "name": "COMPANY_CURRENCY",
74 "captionKey": "enum.currencyDefinitionType.companyCurrency",
75 "caption": "Company Currency"
76 },
77 "activationGroupStatus": {
78 "name": "AG_PENDING_ASSESSMENT",
79 "captionKey": "enum.ActivationGroup.StatusList",
80 "caption": "Activation Group Status"
81 },
82 "reportList": [
83 "NET_LEASE_INVESTMENT_REPORT"
84 ],
85 "listObjectType": {
86 "name": "CONTRACT",
87 "captionKey": "enum.objectType.contract",
88 "caption": "Contract"
89 },
90 "objectList": [
91 {
92 "id": 10000001,
93 "displayId": "ENT-001",
94 "name": "Entity Name"
95 }
96 ],
97 "migratedFilterType": {
98 "name": "ALL",
99 "captionKey": "enum.migratedFilterType.all",
100 "caption": "All"
101 },
102 "assetClassFilterType": {
103 "name": "ALL",
104 "captionKey": "enum.filterType.all",
105 "caption": "All"
106 },
107 "assetClasses": [
108 {
109 "id": 10000001,
110 "displayId": "IAC-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Machinery and Equipment",
118 "assetClassType": "PROPERTY",
119 "infiniteUsefulLife": false
120 }
121 ],
122 "businessAreaFilterType": {
123 "name": "ALL",
124 "captionKey": "enum.filterType.all",
125 "caption": "All"
126 },
127 "businessAreas": [
128 {
129 "id": 3001,
130 "displayId": "BA-2025-001",
131 "status": {
132 "name": "ACTIVE",
133 "captionKey": "enum.objectStatus.active",
134 "active": true,
135 "caption": "Active"
136 },
137 "name": "North America Operations",
138 "erpSystemId": 0
139 }
140 ],
141 "vendorFilterType": {
142 "name": "ALL",
143 "captionKey": "enum.filterType.all",
144 "caption": "All"
145 },
146 "vendors": [
147 {
148 "id": 10000012,
149 "displayId": "0000100003",
150 "status": {
151 "name": "ACTIVE",
152 "captionKey": "enum.objectStatus.active",
153 "active": true,
154 "caption": "Active"
155 },
156 "name": "TEST VENDOR GB",
157 "erpSystemDisplayId": "FINQ8S-300"
158 }
159 ]
160 },
161 "filter": {
162 "id": 90000001,
163 "name": "Q4 2024 Disclosure Filter",
164 "principalPositionType": {
165 "name": "LESSEE",
166 "captionKey": "enum.principalpositiontype.lessee",
167 "caption": "Lessee"
168 },
169 "calendarType": {
170 "name": "_360",
171 "captionKey": "enum.calendarType.360",
172 "caption": "360 Convention"
173 },
174 "fiscalYearVariant": {
175 "id": "string",
176 "displayId": "Euro"
177 },
178 "profileId": 70000001,
179 "jobId": 50000001,
180 "filterTypes": {
181 "erpSystemFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "erpSystems": [
187 {
188 "id": 10000001,
189 "displayId": "ERP-001",
190 "status": {
191 "name": "ACTIVE",
192 "captionKey": "enum.objectStatus.active",
193 "active": true,
194 "caption": "Active"
195 },
196 "name": "SAP Production System",
197 "type": {
198 "name": "NAKISA",
199 "captionKey": "enum.erpSystemType.NAKISA",
200 "caption": "NAKISA"
201 },
202 "sapVersion": {
203 "name": "ECC_EHP5",
204 "captionKey": "enum.sapVersion.ECC_EHP5",
205 "caption": "ECC_EHP5"
206 }
207 }
208 ],
209 "leaseAreaFilterType": {
210 "name": "ALL",
211 "captionKey": "enum.filterType.all",
212 "caption": "All"
213 },
214 "leaseAreas": [
215 {
216 "id": 10000001,
217 "displayId": "0001",
218 "status": {
219 "name": "ACTIVE",
220 "captionKey": "enum.objectStatus.active",
221 "active": true,
222 "caption": "Active"
223 },
224 "name": "Global Lease Area"
225 }
226 ],
227 "businessUnitFilterType": {
228 "name": "ALL",
229 "captionKey": "enum.filterType.all",
230 "caption": "All"
231 },
232 "businessUnits": [
233 {
234 "id": 10000001,
235 "displayId": "BU0001",
236 "status": {
237 "name": "ACTIVE",
238 "captionKey": "enum.objectStatus.active",
239 "active": true,
240 "caption": "Active"
241 },
242 "name": "North America Business Unit"
243 }
244 ],
245 "companyFilterType": {
246 "name": "ALL",
247 "captionKey": "enum.filterType.all",
248 "caption": "All"
249 },
250 "companies": [
251 {
252 "id": 10000006,
253 "displayId": "1005",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "erpSystemId": 10000001,
261 "erpSystemDisplayId": "FINQ8S-300",
262 "countryId": 10000095,
263 "countryDisplayId": "CA",
264 "name": "string",
265 "postingPeriodVariantId": 0,
266 "fiscalVariantId": 0
267 }
268 ],
269 "leaseDepartmentFilterType": {
270 "name": "ALL",
271 "captionKey": "enum.filterType.all",
272 "caption": "All"
273 },
274 "leaseDepartments": [
275 {
276 "id": 300001,
277 "displayId": "DEP-01",
278 "status": {
279 "name": "ACTIVE",
280 "captionKey": "enum.objectStatus.active",
281 "active": true,
282 "caption": "Active"
283 },
284 "name": "Finance Department"
285 }
286 ],
287 "leaseGroupFilterType": {
288 "name": "ALL",
289 "captionKey": "enum.filterType.all",
290 "caption": "All"
291 },
292 "leaseGroups": [
293 {
294 "id": 60000001,
295 "displayId": "LG-001",
296 "status": {
297 "name": "ACTIVE",
298 "captionKey": "enum.objectStatus.active",
299 "active": true,
300 "caption": "Active"
301 },
302 "name": "Global Lease Group"
303 }
304 ],
305 "costCenterFilterType": {
306 "name": "ALL",
307 "captionKey": "enum.filterType.all",
308 "caption": "All"
309 },
310 "costCenters": [
311 {
312 "id": 14001,
313 "displayId": "CC-001",
314 "status": {
315 "name": "ACTIVE",
316 "captionKey": "enum.objectStatus.active",
317 "active": true,
318 "caption": "Active"
319 },
320 "name": "Cost Center A",
321 "erpSystemId": 0
322 }
323 ],
324 "profitCenterFilterType": {
325 "name": "ALL",
326 "captionKey": "enum.filterType.all",
327 "caption": "All"
328 },
329 "profitCenters": [
330 {
331 "id": 9001,
332 "displayId": "PC-001",
333 "status": {
334 "name": "ACTIVE",
335 "captionKey": "enum.objectStatus.active",
336 "active": true,
337 "caption": "Active"
338 },
339 "name": "North Region Profit Center",
340 "validTo": "2025-12-31",
341 "erpSystemId": 101,
342 "erpSystemDisplayId": "SAP-01"
343 }
344 ],
345 "wbsFilterType": {
346 "name": "ALL",
347 "captionKey": "enum.filterType.all",
348 "caption": "All"
349 },
350 "wbses": [
351 {
352 "id": 1001,
353 "displayId": "WBS-2025-001",
354 "status": {
355 "name": "ACTIVE",
356 "captionKey": "enum.objectStatus.active",
357 "active": true,
358 "caption": "Active"
359 },
360 "name": "Main Project WBS",
361 "erpSystemId": 0
362 }
363 ],
364 "businessAreaFilterType": {
365 "name": "ALL",
366 "captionKey": "enum.filterType.all",
367 "caption": "All"
368 },
369 "businessAreas": [
370 {
371 "id": 3001,
372 "displayId": "BA-2025-001",
373 "status": {
374 "name": "ACTIVE",
375 "captionKey": "enum.objectStatus.active",
376 "active": true,
377 "caption": "Active"
378 },
379 "name": "North America Operations",
380 "erpSystemId": 0
381 }
382 ],
383 "functionalAreaFilterType": {
384 "name": "ALL",
385 "captionKey": "enum.filterType.all",
386 "caption": "All"
387 },
388 "functionalAreas": [
389 {
390 "id": 2001,
391 "displayId": "FA-2025-001",
392 "status": {
393 "name": "ACTIVE",
394 "captionKey": "enum.objectStatus.active",
395 "active": true,
396 "caption": "Active"
397 },
398 "name": "Accounting Department",
399 "erpSystemId": 0
400 }
401 ]
402 },
403 "baseIdList": [
404 {
405 "id": 10000001,
406 "displayId": "string",
407 "objectType": "LEASE_AREA"
408 }
409 ]
410 },
411 "tasks": [
412 {
413 "id": 100000001,
414 "queueTime": "2025-01-15T10:30:00Z",
415 "startTime": "2025-01-15T10:35:00Z",
416 "endTime": "2025-01-15T11:00:00Z",
417 "interruptedAt": "2019-08-24T14:15:22Z",
418 "recoveredAt": "2019-08-24T14:15:22Z",
419 "status": {
420 "name": "COMPLETED",
421 "captionKey": "enum.taskStatus.completed",
422 "caption": "Completed"
423 },
424 "recover": false,
425 "interrupted": false,
426 "interruptionMessage": "string",
427 "errorMessage": "string",
428 "disclosureReportType": {
429 "name": "NET_LEASE_INVESTMENT_REPORT",
430 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
431 "caption": "Net Lease Investment Report"
432 },
433 "fileStorageId": "storage-abc123xyz",
434 "jsonFileStorageId": "json-storage-def456uvw",
435 "generatingExportFile": false,
436 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
437 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
438 "reportJobId": 50000001,
439 "version": 1,
440 "jsonDocStoreIds": [
441 100001,
442 100002
443 ],
444 "docStoreId": 200000001
445 }
446 ]
447 }
448}
Delete Resource (With ID)¶
HTTP Request
DELETE /api/v1/disclosure_reports/jobs/{id}
📋 Description: Deletes a specified disclosure report job from the Nakisa Lease Accounting Suite, ensuring the accurate management of lease-related financial obligations and accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Disclosure report job successfully deleted. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {}
7}
Partially Update Resource¶
HTTP Request
PATCH /api/v1/disclosure_reports/jobs/{id}
📋 Description: Updates the specified disclosure report job in the Nakisa Lease Accounting Suite, allowing users to modify details related to lease contracts and financial obligations for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing the updated disclosure report job details, including lease and contract information, to reflect changes in financial obligations and accounting entries. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
body |
|
body |
Body Parameters
1{
2 "op": "replace",
3 "path": "/name",
4 "value": "patched contract"
5}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Disclosure report job successfully patched. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 50000001,
8 "taskCount": 12,
9 "failedTaskCount": 0,
10 "doneTaskCount": 10,
11 "inProgressTaskCount": 2,
12 "cancelledTaskCount": 0,
13 "errorMessage": "Task execution failed due to timeout.",
14 "executor": {
15 "name": "MANUAL",
16 "captionKey": "enum.executorType.MANUAL",
17 "caption": "MANUAL"
18 },
19 "scheduleJobId": 60000001,
20 "batchSize": 5000,
21 "totalObjectCount": 250,
22 "profileId": 70000001,
23 "readOnly": false,
24 "input": {
25 "id": 80000001,
26 "accountingStandardType": {
27 "name": "GAAP",
28 "captionKey": "enum.accountingStandardType.GAAP",
29 "caption": "IFRS 16"
30 },
31 "classifications": [
32 "NON_LEASE"
33 ],
34 "fromYear": 2024,
35 "fromPeriod": {
36 "id": 10000001,
37 "displayId": "FP-2024-Q1",
38 "status": {
39 "name": "ACTIVE",
40 "captionKey": "enum.objectStatus.active",
41 "active": true,
42 "caption": "Active"
43 },
44 "day": 15,
45 "year": 2024,
46 "month": 3,
47 "postingPeriod": 3,
48 "yearShift": 0
49 },
50 "toYear": 2025,
51 "toPeriod": {
52 "id": 10000001,
53 "displayId": "FP-2024-Q1",
54 "status": {
55 "name": "ACTIVE",
56 "captionKey": "enum.objectStatus.active",
57 "active": true,
58 "caption": "Active"
59 },
60 "day": 15,
61 "year": 2024,
62 "month": 3,
63 "postingPeriod": 3,
64 "yearShift": 0
65 },
66 "fromDate": "2024-01-01",
67 "toDate": "2025-12-31",
68 "fromDateType": "USER_DEFINED",
69 "toDateType": "USER_DEFINED",
70 "currencyDisplayId": "USD",
71 "currencyType": "TRANSACTION",
72 "currencyDefinitionType": {
73 "name": "COMPANY_CURRENCY",
74 "captionKey": "enum.currencyDefinitionType.companyCurrency",
75 "caption": "Company Currency"
76 },
77 "activationGroupStatus": {
78 "name": "AG_PENDING_ASSESSMENT",
79 "captionKey": "enum.ActivationGroup.StatusList",
80 "caption": "Activation Group Status"
81 },
82 "reportList": [
83 "NET_LEASE_INVESTMENT_REPORT"
84 ],
85 "listObjectType": {
86 "name": "CONTRACT",
87 "captionKey": "enum.objectType.contract",
88 "caption": "Contract"
89 },
90 "objectList": [
91 {
92 "id": 10000001,
93 "displayId": "ENT-001",
94 "name": "Entity Name"
95 }
96 ],
97 "migratedFilterType": {
98 "name": "ALL",
99 "captionKey": "enum.migratedFilterType.all",
100 "caption": "All"
101 },
102 "assetClassFilterType": {
103 "name": "ALL",
104 "captionKey": "enum.filterType.all",
105 "caption": "All"
106 },
107 "assetClasses": [
108 {
109 "id": 10000001,
110 "displayId": "IAC-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Machinery and Equipment",
118 "assetClassType": "PROPERTY",
119 "infiniteUsefulLife": false
120 }
121 ],
122 "businessAreaFilterType": {
123 "name": "ALL",
124 "captionKey": "enum.filterType.all",
125 "caption": "All"
126 },
127 "businessAreas": [
128 {
129 "id": 3001,
130 "displayId": "BA-2025-001",
131 "status": {
132 "name": "ACTIVE",
133 "captionKey": "enum.objectStatus.active",
134 "active": true,
135 "caption": "Active"
136 },
137 "name": "North America Operations",
138 "erpSystemId": 0
139 }
140 ],
141 "vendorFilterType": {
142 "name": "ALL",
143 "captionKey": "enum.filterType.all",
144 "caption": "All"
145 },
146 "vendors": [
147 {
148 "id": 10000012,
149 "displayId": "0000100003",
150 "status": {
151 "name": "ACTIVE",
152 "captionKey": "enum.objectStatus.active",
153 "active": true,
154 "caption": "Active"
155 },
156 "name": "TEST VENDOR GB",
157 "erpSystemDisplayId": "FINQ8S-300"
158 }
159 ]
160 },
161 "filter": {
162 "id": 90000001,
163 "name": "Q4 2024 Disclosure Filter",
164 "principalPositionType": {
165 "name": "LESSEE",
166 "captionKey": "enum.principalpositiontype.lessee",
167 "caption": "Lessee"
168 },
169 "calendarType": {
170 "name": "_360",
171 "captionKey": "enum.calendarType.360",
172 "caption": "360 Convention"
173 },
174 "fiscalYearVariant": {
175 "id": "string",
176 "displayId": "Euro"
177 },
178 "profileId": 70000001,
179 "jobId": 50000001,
180 "filterTypes": {
181 "erpSystemFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "erpSystems": [
187 {
188 "id": 10000001,
189 "displayId": "ERP-001",
190 "status": {
191 "name": "ACTIVE",
192 "captionKey": "enum.objectStatus.active",
193 "active": true,
194 "caption": "Active"
195 },
196 "name": "SAP Production System",
197 "type": {
198 "name": "NAKISA",
199 "captionKey": "enum.erpSystemType.NAKISA",
200 "caption": "NAKISA"
201 },
202 "sapVersion": {
203 "name": "ECC_EHP5",
204 "captionKey": "enum.sapVersion.ECC_EHP5",
205 "caption": "ECC_EHP5"
206 }
207 }
208 ],
209 "leaseAreaFilterType": {
210 "name": "ALL",
211 "captionKey": "enum.filterType.all",
212 "caption": "All"
213 },
214 "leaseAreas": [
215 {
216 "id": 10000001,
217 "displayId": "0001",
218 "status": {
219 "name": "ACTIVE",
220 "captionKey": "enum.objectStatus.active",
221 "active": true,
222 "caption": "Active"
223 },
224 "name": "Global Lease Area"
225 }
226 ],
227 "businessUnitFilterType": {
228 "name": "ALL",
229 "captionKey": "enum.filterType.all",
230 "caption": "All"
231 },
232 "businessUnits": [
233 {
234 "id": 10000001,
235 "displayId": "BU0001",
236 "status": {
237 "name": "ACTIVE",
238 "captionKey": "enum.objectStatus.active",
239 "active": true,
240 "caption": "Active"
241 },
242 "name": "North America Business Unit"
243 }
244 ],
245 "companyFilterType": {
246 "name": "ALL",
247 "captionKey": "enum.filterType.all",
248 "caption": "All"
249 },
250 "companies": [
251 {
252 "id": 10000006,
253 "displayId": "1005",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "erpSystemId": 10000001,
261 "erpSystemDisplayId": "FINQ8S-300",
262 "countryId": 10000095,
263 "countryDisplayId": "CA",
264 "name": "string",
265 "postingPeriodVariantId": 0,
266 "fiscalVariantId": 0
267 }
268 ],
269 "leaseDepartmentFilterType": {
270 "name": "ALL",
271 "captionKey": "enum.filterType.all",
272 "caption": "All"
273 },
274 "leaseDepartments": [
275 {
276 "id": 300001,
277 "displayId": "DEP-01",
278 "status": {
279 "name": "ACTIVE",
280 "captionKey": "enum.objectStatus.active",
281 "active": true,
282 "caption": "Active"
283 },
284 "name": "Finance Department"
285 }
286 ],
287 "leaseGroupFilterType": {
288 "name": "ALL",
289 "captionKey": "enum.filterType.all",
290 "caption": "All"
291 },
292 "leaseGroups": [
293 {
294 "id": 60000001,
295 "displayId": "LG-001",
296 "status": {
297 "name": "ACTIVE",
298 "captionKey": "enum.objectStatus.active",
299 "active": true,
300 "caption": "Active"
301 },
302 "name": "Global Lease Group"
303 }
304 ],
305 "costCenterFilterType": {
306 "name": "ALL",
307 "captionKey": "enum.filterType.all",
308 "caption": "All"
309 },
310 "costCenters": [
311 {
312 "id": 14001,
313 "displayId": "CC-001",
314 "status": {
315 "name": "ACTIVE",
316 "captionKey": "enum.objectStatus.active",
317 "active": true,
318 "caption": "Active"
319 },
320 "name": "Cost Center A",
321 "erpSystemId": 0
322 }
323 ],
324 "profitCenterFilterType": {
325 "name": "ALL",
326 "captionKey": "enum.filterType.all",
327 "caption": "All"
328 },
329 "profitCenters": [
330 {
331 "id": 9001,
332 "displayId": "PC-001",
333 "status": {
334 "name": "ACTIVE",
335 "captionKey": "enum.objectStatus.active",
336 "active": true,
337 "caption": "Active"
338 },
339 "name": "North Region Profit Center",
340 "validTo": "2025-12-31",
341 "erpSystemId": 101,
342 "erpSystemDisplayId": "SAP-01"
343 }
344 ],
345 "wbsFilterType": {
346 "name": "ALL",
347 "captionKey": "enum.filterType.all",
348 "caption": "All"
349 },
350 "wbses": [
351 {
352 "id": 1001,
353 "displayId": "WBS-2025-001",
354 "status": {
355 "name": "ACTIVE",
356 "captionKey": "enum.objectStatus.active",
357 "active": true,
358 "caption": "Active"
359 },
360 "name": "Main Project WBS",
361 "erpSystemId": 0
362 }
363 ],
364 "businessAreaFilterType": {
365 "name": "ALL",
366 "captionKey": "enum.filterType.all",
367 "caption": "All"
368 },
369 "businessAreas": [
370 {
371 "id": 3001,
372 "displayId": "BA-2025-001",
373 "status": {
374 "name": "ACTIVE",
375 "captionKey": "enum.objectStatus.active",
376 "active": true,
377 "caption": "Active"
378 },
379 "name": "North America Operations",
380 "erpSystemId": 0
381 }
382 ],
383 "functionalAreaFilterType": {
384 "name": "ALL",
385 "captionKey": "enum.filterType.all",
386 "caption": "All"
387 },
388 "functionalAreas": [
389 {
390 "id": 2001,
391 "displayId": "FA-2025-001",
392 "status": {
393 "name": "ACTIVE",
394 "captionKey": "enum.objectStatus.active",
395 "active": true,
396 "caption": "Active"
397 },
398 "name": "Accounting Department",
399 "erpSystemId": 0
400 }
401 ]
402 },
403 "baseIdList": [
404 {
405 "id": 10000001,
406 "displayId": "string",
407 "objectType": "LEASE_AREA"
408 }
409 ]
410 },
411 "tasks": [
412 {
413 "id": 100000001,
414 "queueTime": "2025-01-15T10:30:00Z",
415 "startTime": "2025-01-15T10:35:00Z",
416 "endTime": "2025-01-15T11:00:00Z",
417 "interruptedAt": "2019-08-24T14:15:22Z",
418 "recoveredAt": "2019-08-24T14:15:22Z",
419 "status": {
420 "name": "COMPLETED",
421 "captionKey": "enum.taskStatus.completed",
422 "caption": "Completed"
423 },
424 "recover": false,
425 "interrupted": false,
426 "interruptionMessage": "string",
427 "errorMessage": "string",
428 "disclosureReportType": {
429 "name": "NET_LEASE_INVESTMENT_REPORT",
430 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
431 "caption": "Net Lease Investment Report"
432 },
433 "fileStorageId": "storage-abc123xyz",
434 "jsonFileStorageId": "json-storage-def456uvw",
435 "generatingExportFile": false,
436 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
437 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
438 "reportJobId": 50000001,
439 "version": 1,
440 "jsonDocStoreIds": [
441 100001,
442 100002
443 ],
444 "docStoreId": 200000001
445 }
446 ]
447 }
448}
Bulk Create Or Update Disclosure Report Jobs¶
HTTP Request
PUT /api/v1/disclosure_reports/jobs/createOrUpdate/bulk
📋 Description: Creates or updates multiple disclosure reports in bulk, facilitating efficient management of lease and contract financial obligations within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing bulk data for creating or updating disclosure reports related to leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite. |
Body Parameters
1[
2 {
3 "id": 50000001,
4 "taskCount": 12,
5 "failedTaskCount": 0,
6 "doneTaskCount": 10,
7 "inProgressTaskCount": 2,
8 "cancelledTaskCount": 0,
9 "errorMessage": "Task execution failed due to timeout.",
10 "executor": {
11 "name": "MANUAL",
12 "captionKey": "enum.executorType.MANUAL",
13 "caption": "MANUAL"
14 },
15 "scheduleJobId": 60000001,
16 "batchSize": 5000,
17 "totalObjectCount": 250,
18 "profileId": 70000001,
19 "readOnly": false,
20 "input": {
21 "id": 80000001,
22 "accountingStandardType": {
23 "name": "GAAP",
24 "captionKey": "enum.accountingStandardType.GAAP",
25 "caption": "IFRS 16"
26 },
27 "classifications": [
28 "NON_LEASE"
29 ],
30 "fromYear": 2024,
31 "fromPeriod": {
32 "id": 10000001,
33 "displayId": "FP-2024-Q1",
34 "status": {
35 "name": "ACTIVE",
36 "captionKey": "enum.objectStatus.active",
37 "active": true,
38 "caption": "Active"
39 },
40 "day": 15,
41 "year": 2024,
42 "month": 3,
43 "postingPeriod": 3,
44 "yearShift": 0
45 },
46 "toYear": 2025,
47 "toPeriod": {
48 "id": 10000001,
49 "displayId": "FP-2024-Q1",
50 "status": {
51 "name": "ACTIVE",
52 "captionKey": "enum.objectStatus.active",
53 "active": true,
54 "caption": "Active"
55 },
56 "day": 15,
57 "year": 2024,
58 "month": 3,
59 "postingPeriod": 3,
60 "yearShift": 0
61 },
62 "fromDate": "2024-01-01",
63 "toDate": "2025-12-31",
64 "fromDateType": "USER_DEFINED",
65 "toDateType": "USER_DEFINED",
66 "currencyDisplayId": "USD",
67 "currencyType": "TRANSACTION",
68 "currencyDefinitionType": {
69 "name": "COMPANY_CURRENCY",
70 "captionKey": "enum.currencyDefinitionType.companyCurrency",
71 "caption": "Company Currency"
72 },
73 "activationGroupStatus": {
74 "name": "AG_PENDING_ASSESSMENT",
75 "captionKey": "enum.ActivationGroup.StatusList",
76 "caption": "Activation Group Status"
77 },
78 "reportList": [
79 "NET_LEASE_INVESTMENT_REPORT"
80 ],
81 "listObjectType": {
82 "name": "CONTRACT",
83 "captionKey": "enum.objectType.contract",
84 "caption": "Contract"
85 },
86 "objectList": [
87 {
88 "id": 10000001,
89 "displayId": "ENT-001",
90 "name": "Entity Name"
91 }
92 ],
93 "migratedFilterType": {
94 "name": "ALL",
95 "captionKey": "enum.migratedFilterType.all",
96 "caption": "All"
97 },
98 "assetClassFilterType": {
99 "name": "ALL",
100 "captionKey": "enum.filterType.all",
101 "caption": "All"
102 },
103 "assetClasses": [
104 {
105 "id": 10000001,
106 "displayId": "IAC-001",
107 "status": {
108 "name": "ACTIVE",
109 "captionKey": "enum.objectStatus.active",
110 "active": true,
111 "caption": "Active"
112 },
113 "name": "Machinery and Equipment",
114 "assetClassType": "PROPERTY",
115 "infiniteUsefulLife": false
116 }
117 ],
118 "businessAreaFilterType": {
119 "name": "ALL",
120 "captionKey": "enum.filterType.all",
121 "caption": "All"
122 },
123 "businessAreas": [
124 {
125 "id": 3001,
126 "displayId": "BA-2025-001",
127 "status": {
128 "name": "ACTIVE",
129 "captionKey": "enum.objectStatus.active",
130 "active": true,
131 "caption": "Active"
132 },
133 "name": "North America Operations",
134 "erpSystemId": 0
135 }
136 ],
137 "vendorFilterType": {
138 "name": "ALL",
139 "captionKey": "enum.filterType.all",
140 "caption": "All"
141 },
142 "vendors": [
143 {
144 "id": 10000012,
145 "displayId": "0000100003",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "TEST VENDOR GB",
153 "erpSystemDisplayId": "FINQ8S-300"
154 }
155 ]
156 },
157 "filter": {
158 "id": 90000001,
159 "name": "Q4 2024 Disclosure Filter",
160 "principalPositionType": {
161 "name": "LESSEE",
162 "captionKey": "enum.principalpositiontype.lessee",
163 "caption": "Lessee"
164 },
165 "calendarType": {
166 "name": "_360",
167 "captionKey": "enum.calendarType.360",
168 "caption": "360 Convention"
169 },
170 "fiscalYearVariant": {
171 "id": "string",
172 "displayId": "Euro"
173 },
174 "profileId": 70000001,
175 "jobId": 50000001,
176 "filterTypes": {
177 "erpSystemFilterType": {
178 "name": "ALL",
179 "captionKey": "enum.filterType.all",
180 "caption": "All"
181 },
182 "erpSystems": [
183 {
184 "id": 10000001,
185 "displayId": "ERP-001",
186 "status": {
187 "name": "ACTIVE",
188 "captionKey": "enum.objectStatus.active",
189 "active": true,
190 "caption": "Active"
191 },
192 "name": "SAP Production System",
193 "type": {
194 "name": "NAKISA",
195 "captionKey": "enum.erpSystemType.NAKISA",
196 "caption": "NAKISA"
197 },
198 "sapVersion": {
199 "name": "ECC_EHP5",
200 "captionKey": "enum.sapVersion.ECC_EHP5",
201 "caption": "ECC_EHP5"
202 }
203 }
204 ],
205 "leaseAreaFilterType": {
206 "name": "ALL",
207 "captionKey": "enum.filterType.all",
208 "caption": "All"
209 },
210 "leaseAreas": [
211 {
212 "id": 10000001,
213 "displayId": "0001",
214 "status": {
215 "name": "ACTIVE",
216 "captionKey": "enum.objectStatus.active",
217 "active": true,
218 "caption": "Active"
219 },
220 "name": "Global Lease Area"
221 }
222 ],
223 "businessUnitFilterType": {
224 "name": "ALL",
225 "captionKey": "enum.filterType.all",
226 "caption": "All"
227 },
228 "businessUnits": [
229 {
230 "id": 10000001,
231 "displayId": "BU0001",
232 "status": {
233 "name": "ACTIVE",
234 "captionKey": "enum.objectStatus.active",
235 "active": true,
236 "caption": "Active"
237 },
238 "name": "North America Business Unit"
239 }
240 ],
241 "companyFilterType": {
242 "name": "ALL",
243 "captionKey": "enum.filterType.all",
244 "caption": "All"
245 },
246 "companies": [
247 {
248 "id": 10000006,
249 "displayId": "1005",
250 "status": {
251 "name": "ACTIVE",
252 "captionKey": "enum.objectStatus.active",
253 "active": true,
254 "caption": "Active"
255 },
256 "erpSystemId": 10000001,
257 "erpSystemDisplayId": "FINQ8S-300",
258 "countryId": 10000095,
259 "countryDisplayId": "CA",
260 "name": "string",
261 "postingPeriodVariantId": 0,
262 "fiscalVariantId": 0
263 }
264 ],
265 "leaseDepartmentFilterType": {
266 "name": "ALL",
267 "captionKey": "enum.filterType.all",
268 "caption": "All"
269 },
270 "leaseDepartments": [
271 {
272 "id": 300001,
273 "displayId": "DEP-01",
274 "status": {
275 "name": "ACTIVE",
276 "captionKey": "enum.objectStatus.active",
277 "active": true,
278 "caption": "Active"
279 },
280 "name": "Finance Department"
281 }
282 ],
283 "leaseGroupFilterType": {
284 "name": "ALL",
285 "captionKey": "enum.filterType.all",
286 "caption": "All"
287 },
288 "leaseGroups": [
289 {
290 "id": 60000001,
291 "displayId": "LG-001",
292 "status": {
293 "name": "ACTIVE",
294 "captionKey": "enum.objectStatus.active",
295 "active": true,
296 "caption": "Active"
297 },
298 "name": "Global Lease Group"
299 }
300 ],
301 "costCenterFilterType": {
302 "name": "ALL",
303 "captionKey": "enum.filterType.all",
304 "caption": "All"
305 },
306 "costCenters": [
307 {
308 "id": 14001,
309 "displayId": "CC-001",
310 "status": {
311 "name": "ACTIVE",
312 "captionKey": "enum.objectStatus.active",
313 "active": true,
314 "caption": "Active"
315 },
316 "name": "Cost Center A",
317 "erpSystemId": 0
318 }
319 ],
320 "profitCenterFilterType": {
321 "name": "ALL",
322 "captionKey": "enum.filterType.all",
323 "caption": "All"
324 },
325 "profitCenters": [
326 {
327 "id": 9001,
328 "displayId": "PC-001",
329 "status": {
330 "name": "ACTIVE",
331 "captionKey": "enum.objectStatus.active",
332 "active": true,
333 "caption": "Active"
334 },
335 "name": "North Region Profit Center",
336 "validTo": "2025-12-31",
337 "erpSystemId": 101,
338 "erpSystemDisplayId": "SAP-01"
339 }
340 ],
341 "wbsFilterType": {
342 "name": "ALL",
343 "captionKey": "enum.filterType.all",
344 "caption": "All"
345 },
346 "wbses": [
347 {
348 "id": 1001,
349 "displayId": "WBS-2025-001",
350 "status": {
351 "name": "ACTIVE",
352 "captionKey": "enum.objectStatus.active",
353 "active": true,
354 "caption": "Active"
355 },
356 "name": "Main Project WBS",
357 "erpSystemId": 0
358 }
359 ],
360 "businessAreaFilterType": {
361 "name": "ALL",
362 "captionKey": "enum.filterType.all",
363 "caption": "All"
364 },
365 "businessAreas": [
366 {
367 "id": 3001,
368 "displayId": "BA-2025-001",
369 "status": {
370 "name": "ACTIVE",
371 "captionKey": "enum.objectStatus.active",
372 "active": true,
373 "caption": "Active"
374 },
375 "name": "North America Operations",
376 "erpSystemId": 0
377 }
378 ],
379 "functionalAreaFilterType": {
380 "name": "ALL",
381 "captionKey": "enum.filterType.all",
382 "caption": "All"
383 },
384 "functionalAreas": [
385 {
386 "id": 2001,
387 "displayId": "FA-2025-001",
388 "status": {
389 "name": "ACTIVE",
390 "captionKey": "enum.objectStatus.active",
391 "active": true,
392 "caption": "Active"
393 },
394 "name": "Accounting Department",
395 "erpSystemId": 0
396 }
397 ]
398 },
399 "baseIdList": [
400 {
401 "id": 10000001,
402 "displayId": "string",
403 "objectType": "LEASE_AREA"
404 }
405 ]
406 },
407 "tasks": [
408 {
409 "id": 100000001,
410 "queueTime": "2025-01-15T10:30:00Z",
411 "startTime": "2025-01-15T10:35:00Z",
412 "endTime": "2025-01-15T11:00:00Z",
413 "interruptedAt": "2019-08-24T14:15:22Z",
414 "recoveredAt": "2019-08-24T14:15:22Z",
415 "status": {
416 "name": "COMPLETED",
417 "captionKey": "enum.taskStatus.completed",
418 "caption": "Completed"
419 },
420 "recover": false,
421 "interrupted": false,
422 "interruptionMessage": "string",
423 "errorMessage": "string",
424 "disclosureReportType": {
425 "name": "NET_LEASE_INVESTMENT_REPORT",
426 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
427 "caption": "Net Lease Investment Report"
428 },
429 "fileStorageId": "storage-abc123xyz",
430 "jsonFileStorageId": "json-storage-def456uvw",
431 "generatingExportFile": false,
432 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
433 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
434 "reportJobId": 50000001,
435 "version": 1,
436 "jsonDocStoreIds": [
437 100001,
438 100002
439 ],
440 "docStoreId": 200000001
441 }
442 ]
443 }
444]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Disclosure report jobs successfully created or updated. |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 50000001,
9 "taskCount": 12,
10 "failedTaskCount": 0,
11 "doneTaskCount": 10,
12 "inProgressTaskCount": 2,
13 "cancelledTaskCount": 0,
14 "errorMessage": "Task execution failed due to timeout.",
15 "executor": {
16 "name": "MANUAL",
17 "captionKey": "enum.executorType.MANUAL",
18 "caption": "MANUAL"
19 },
20 "scheduleJobId": 60000001,
21 "batchSize": 5000,
22 "totalObjectCount": 250,
23 "profileId": 70000001,
24 "readOnly": false,
25 "input": {
26 "id": 80000001,
27 "accountingStandardType": {
28 "name": "GAAP",
29 "captionKey": "enum.accountingStandardType.GAAP",
30 "caption": "IFRS 16"
31 },
32 "classifications": [
33 "NON_LEASE"
34 ],
35 "fromYear": 2024,
36 "fromPeriod": {
37 "id": 10000001,
38 "displayId": "FP-2024-Q1",
39 "status": {
40 "name": "ACTIVE",
41 "captionKey": "enum.objectStatus.active",
42 "active": true,
43 "caption": "Active"
44 },
45 "day": 15,
46 "year": 2024,
47 "month": 3,
48 "postingPeriod": 3,
49 "yearShift": 0
50 },
51 "toYear": 2025,
52 "toPeriod": {
53 "id": 10000001,
54 "displayId": "FP-2024-Q1",
55 "status": {
56 "name": "ACTIVE",
57 "captionKey": "enum.objectStatus.active",
58 "active": true,
59 "caption": "Active"
60 },
61 "day": 15,
62 "year": 2024,
63 "month": 3,
64 "postingPeriod": 3,
65 "yearShift": 0
66 },
67 "fromDate": "2024-01-01",
68 "toDate": "2025-12-31",
69 "fromDateType": "USER_DEFINED",
70 "toDateType": "USER_DEFINED",
71 "currencyDisplayId": "USD",
72 "currencyType": "TRANSACTION",
73 "currencyDefinitionType": {
74 "name": "COMPANY_CURRENCY",
75 "captionKey": "enum.currencyDefinitionType.companyCurrency",
76 "caption": "Company Currency"
77 },
78 "activationGroupStatus": {
79 "name": "AG_PENDING_ASSESSMENT",
80 "captionKey": "enum.ActivationGroup.StatusList",
81 "caption": "Activation Group Status"
82 },
83 "reportList": [
84 "NET_LEASE_INVESTMENT_REPORT"
85 ],
86 "listObjectType": {
87 "name": "CONTRACT",
88 "captionKey": "enum.objectType.contract",
89 "caption": "Contract"
90 },
91 "objectList": [
92 {
93 "id": 10000001,
94 "displayId": "ENT-001",
95 "name": "Entity Name"
96 }
97 ],
98 "migratedFilterType": {
99 "name": "ALL",
100 "captionKey": "enum.migratedFilterType.all",
101 "caption": "All"
102 },
103 "assetClassFilterType": {
104 "name": "ALL",
105 "captionKey": "enum.filterType.all",
106 "caption": "All"
107 },
108 "assetClasses": [
109 {
110 "id": 10000001,
111 "displayId": "IAC-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "Machinery and Equipment",
119 "assetClassType": "PROPERTY",
120 "infiniteUsefulLife": false
121 }
122 ],
123 "businessAreaFilterType": {
124 "name": "ALL",
125 "captionKey": "enum.filterType.all",
126 "caption": "All"
127 },
128 "businessAreas": [
129 {
130 "id": 3001,
131 "displayId": "BA-2025-001",
132 "status": {
133 "name": "ACTIVE",
134 "captionKey": "enum.objectStatus.active",
135 "active": true,
136 "caption": "Active"
137 },
138 "name": "North America Operations",
139 "erpSystemId": 0
140 }
141 ],
142 "vendorFilterType": {
143 "name": "ALL",
144 "captionKey": "enum.filterType.all",
145 "caption": "All"
146 },
147 "vendors": [
148 {
149 "id": 10000012,
150 "displayId": "0000100003",
151 "status": {
152 "name": "ACTIVE",
153 "captionKey": "enum.objectStatus.active",
154 "active": true,
155 "caption": "Active"
156 },
157 "name": "TEST VENDOR GB",
158 "erpSystemDisplayId": "FINQ8S-300"
159 }
160 ]
161 },
162 "filter": {
163 "id": 90000001,
164 "name": "Q4 2024 Disclosure Filter",
165 "principalPositionType": {
166 "name": "LESSEE",
167 "captionKey": "enum.principalpositiontype.lessee",
168 "caption": "Lessee"
169 },
170 "calendarType": {
171 "name": "_360",
172 "captionKey": "enum.calendarType.360",
173 "caption": "360 Convention"
174 },
175 "fiscalYearVariant": {
176 "id": "string",
177 "displayId": "Euro"
178 },
179 "profileId": 70000001,
180 "jobId": 50000001,
181 "filterTypes": {
182 "erpSystemFilterType": {
183 "name": "ALL",
184 "captionKey": "enum.filterType.all",
185 "caption": "All"
186 },
187 "erpSystems": [
188 {
189 "id": 10000001,
190 "displayId": "ERP-001",
191 "status": {
192 "name": "ACTIVE",
193 "captionKey": "enum.objectStatus.active",
194 "active": true,
195 "caption": "Active"
196 },
197 "name": "SAP Production System",
198 "type": {
199 "name": "NAKISA",
200 "captionKey": "enum.erpSystemType.NAKISA",
201 "caption": "NAKISA"
202 },
203 "sapVersion": {
204 "name": "ECC_EHP5",
205 "captionKey": "enum.sapVersion.ECC_EHP5",
206 "caption": "ECC_EHP5"
207 }
208 }
209 ],
210 "leaseAreaFilterType": {
211 "name": "ALL",
212 "captionKey": "enum.filterType.all",
213 "caption": "All"
214 },
215 "leaseAreas": [
216 {
217 "id": 10000001,
218 "displayId": "0001",
219 "status": {
220 "name": "ACTIVE",
221 "captionKey": "enum.objectStatus.active",
222 "active": true,
223 "caption": "Active"
224 },
225 "name": "Global Lease Area"
226 }
227 ],
228 "businessUnitFilterType": {
229 "name": "ALL",
230 "captionKey": "enum.filterType.all",
231 "caption": "All"
232 },
233 "businessUnits": [
234 {
235 "id": 10000001,
236 "displayId": "BU0001",
237 "status": {
238 "name": "ACTIVE",
239 "captionKey": "enum.objectStatus.active",
240 "active": true,
241 "caption": "Active"
242 },
243 "name": "North America Business Unit"
244 }
245 ],
246 "companyFilterType": {
247 "name": "ALL",
248 "captionKey": "enum.filterType.all",
249 "caption": "All"
250 },
251 "companies": [
252 {
253 "id": 10000006,
254 "displayId": "1005",
255 "status": {
256 "name": "ACTIVE",
257 "captionKey": "enum.objectStatus.active",
258 "active": true,
259 "caption": "Active"
260 },
261 "erpSystemId": 10000001,
262 "erpSystemDisplayId": "FINQ8S-300",
263 "countryId": 10000095,
264 "countryDisplayId": "CA",
265 "name": "string",
266 "postingPeriodVariantId": 0,
267 "fiscalVariantId": 0
268 }
269 ],
270 "leaseDepartmentFilterType": {
271 "name": "ALL",
272 "captionKey": "enum.filterType.all",
273 "caption": "All"
274 },
275 "leaseDepartments": [
276 {
277 "id": 300001,
278 "displayId": "DEP-01",
279 "status": {
280 "name": "ACTIVE",
281 "captionKey": "enum.objectStatus.active",
282 "active": true,
283 "caption": "Active"
284 },
285 "name": "Finance Department"
286 }
287 ],
288 "leaseGroupFilterType": {
289 "name": "ALL",
290 "captionKey": "enum.filterType.all",
291 "caption": "All"
292 },
293 "leaseGroups": [
294 {
295 "id": 60000001,
296 "displayId": "LG-001",
297 "status": {
298 "name": "ACTIVE",
299 "captionKey": "enum.objectStatus.active",
300 "active": true,
301 "caption": "Active"
302 },
303 "name": "Global Lease Group"
304 }
305 ],
306 "costCenterFilterType": {
307 "name": "ALL",
308 "captionKey": "enum.filterType.all",
309 "caption": "All"
310 },
311 "costCenters": [
312 {
313 "id": 14001,
314 "displayId": "CC-001",
315 "status": {
316 "name": "ACTIVE",
317 "captionKey": "enum.objectStatus.active",
318 "active": true,
319 "caption": "Active"
320 },
321 "name": "Cost Center A",
322 "erpSystemId": 0
323 }
324 ],
325 "profitCenterFilterType": {
326 "name": "ALL",
327 "captionKey": "enum.filterType.all",
328 "caption": "All"
329 },
330 "profitCenters": [
331 {
332 "id": 9001,
333 "displayId": "PC-001",
334 "status": {
335 "name": "ACTIVE",
336 "captionKey": "enum.objectStatus.active",
337 "active": true,
338 "caption": "Active"
339 },
340 "name": "North Region Profit Center",
341 "validTo": "2025-12-31",
342 "erpSystemId": 101,
343 "erpSystemDisplayId": "SAP-01"
344 }
345 ],
346 "wbsFilterType": {
347 "name": "ALL",
348 "captionKey": "enum.filterType.all",
349 "caption": "All"
350 },
351 "wbses": [
352 {
353 "id": 1001,
354 "displayId": "WBS-2025-001",
355 "status": {
356 "name": "ACTIVE",
357 "captionKey": "enum.objectStatus.active",
358 "active": true,
359 "caption": "Active"
360 },
361 "name": "Main Project WBS",
362 "erpSystemId": 0
363 }
364 ],
365 "businessAreaFilterType": {
366 "name": "ALL",
367 "captionKey": "enum.filterType.all",
368 "caption": "All"
369 },
370 "businessAreas": [
371 {
372 "id": 3001,
373 "displayId": "BA-2025-001",
374 "status": {
375 "name": "ACTIVE",
376 "captionKey": "enum.objectStatus.active",
377 "active": true,
378 "caption": "Active"
379 },
380 "name": "North America Operations",
381 "erpSystemId": 0
382 }
383 ],
384 "functionalAreaFilterType": {
385 "name": "ALL",
386 "captionKey": "enum.filterType.all",
387 "caption": "All"
388 },
389 "functionalAreas": [
390 {
391 "id": 2001,
392 "displayId": "FA-2025-001",
393 "status": {
394 "name": "ACTIVE",
395 "captionKey": "enum.objectStatus.active",
396 "active": true,
397 "caption": "Active"
398 },
399 "name": "Accounting Department",
400 "erpSystemId": 0
401 }
402 ]
403 },
404 "baseIdList": [
405 {
406 "id": 10000001,
407 "displayId": "string",
408 "objectType": "LEASE_AREA"
409 }
410 ]
411 },
412 "tasks": [
413 {
414 "id": 100000001,
415 "queueTime": "2025-01-15T10:30:00Z",
416 "startTime": "2025-01-15T10:35:00Z",
417 "endTime": "2025-01-15T11:00:00Z",
418 "interruptedAt": "2019-08-24T14:15:22Z",
419 "recoveredAt": "2019-08-24T14:15:22Z",
420 "status": {
421 "name": "COMPLETED",
422 "captionKey": "enum.taskStatus.completed",
423 "caption": "Completed"
424 },
425 "recover": false,
426 "interrupted": false,
427 "interruptionMessage": "string",
428 "errorMessage": "string",
429 "disclosureReportType": {
430 "name": "NET_LEASE_INVESTMENT_REPORT",
431 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
432 "caption": "Net Lease Investment Report"
433 },
434 "fileStorageId": "storage-abc123xyz",
435 "jsonFileStorageId": "json-storage-def456uvw",
436 "generatingExportFile": false,
437 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
438 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
439 "reportJobId": 50000001,
440 "version": 1,
441 "jsonDocStoreIds": [
442 100001,
443 100002
444 ],
445 "docStoreId": 200000001
446 }
447 ]
448 }
449 ]
450}
Create Or Update A Disclosure Report Job¶
HTTP Request
PUT /api/v1/disclosure_reports/jobs/createOrUpdate
📋 Description: Creates or updates disclosure reports related to leases and financial obligations within the Nakisa Lease Accounting Suite, ensuring accurate accounting entries for compliance and reporting purposes.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the lease and contract details, including financial obligations and accounting entries, for creating or updating disclosure reports. |
Body Parameters
1{
2 "id": 50000001,
3 "taskCount": 12,
4 "failedTaskCount": 0,
5 "doneTaskCount": 10,
6 "inProgressTaskCount": 2,
7 "cancelledTaskCount": 0,
8 "errorMessage": "Task execution failed due to timeout.",
9 "executor": {
10 "name": "MANUAL",
11 "captionKey": "enum.executorType.MANUAL",
12 "caption": "MANUAL"
13 },
14 "scheduleJobId": 60000001,
15 "batchSize": 5000,
16 "totalObjectCount": 250,
17 "profileId": 70000001,
18 "readOnly": false,
19 "input": {
20 "id": 80000001,
21 "accountingStandardType": {
22 "name": "GAAP",
23 "captionKey": "enum.accountingStandardType.GAAP",
24 "caption": "IFRS 16"
25 },
26 "classifications": [
27 "NON_LEASE"
28 ],
29 "fromYear": 2024,
30 "fromPeriod": {
31 "id": 10000001,
32 "displayId": "FP-2024-Q1",
33 "status": {
34 "name": "ACTIVE",
35 "captionKey": "enum.objectStatus.active",
36 "active": true,
37 "caption": "Active"
38 },
39 "day": 15,
40 "year": 2024,
41 "month": 3,
42 "postingPeriod": 3,
43 "yearShift": 0
44 },
45 "toYear": 2025,
46 "toPeriod": {
47 "id": 10000001,
48 "displayId": "FP-2024-Q1",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "day": 15,
56 "year": 2024,
57 "month": 3,
58 "postingPeriod": 3,
59 "yearShift": 0
60 },
61 "fromDate": "2024-01-01",
62 "toDate": "2025-12-31",
63 "fromDateType": "USER_DEFINED",
64 "toDateType": "USER_DEFINED",
65 "currencyDisplayId": "USD",
66 "currencyType": "TRANSACTION",
67 "currencyDefinitionType": {
68 "name": "COMPANY_CURRENCY",
69 "captionKey": "enum.currencyDefinitionType.companyCurrency",
70 "caption": "Company Currency"
71 },
72 "activationGroupStatus": {
73 "name": "AG_PENDING_ASSESSMENT",
74 "captionKey": "enum.ActivationGroup.StatusList",
75 "caption": "Activation Group Status"
76 },
77 "reportList": [
78 "NET_LEASE_INVESTMENT_REPORT"
79 ],
80 "listObjectType": {
81 "name": "CONTRACT",
82 "captionKey": "enum.objectType.contract",
83 "caption": "Contract"
84 },
85 "objectList": [
86 {
87 "id": 10000001,
88 "displayId": "ENT-001",
89 "name": "Entity Name"
90 }
91 ],
92 "migratedFilterType": {
93 "name": "ALL",
94 "captionKey": "enum.migratedFilterType.all",
95 "caption": "All"
96 },
97 "assetClassFilterType": {
98 "name": "ALL",
99 "captionKey": "enum.filterType.all",
100 "caption": "All"
101 },
102 "assetClasses": [
103 {
104 "id": 10000001,
105 "displayId": "IAC-001",
106 "status": {
107 "name": "ACTIVE",
108 "captionKey": "enum.objectStatus.active",
109 "active": true,
110 "caption": "Active"
111 },
112 "name": "Machinery and Equipment",
113 "assetClassType": "PROPERTY",
114 "infiniteUsefulLife": false
115 }
116 ],
117 "businessAreaFilterType": {
118 "name": "ALL",
119 "captionKey": "enum.filterType.all",
120 "caption": "All"
121 },
122 "businessAreas": [
123 {
124 "id": 3001,
125 "displayId": "BA-2025-001",
126 "status": {
127 "name": "ACTIVE",
128 "captionKey": "enum.objectStatus.active",
129 "active": true,
130 "caption": "Active"
131 },
132 "name": "North America Operations",
133 "erpSystemId": 0
134 }
135 ],
136 "vendorFilterType": {
137 "name": "ALL",
138 "captionKey": "enum.filterType.all",
139 "caption": "All"
140 },
141 "vendors": [
142 {
143 "id": 10000012,
144 "displayId": "0000100003",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "TEST VENDOR GB",
152 "erpSystemDisplayId": "FINQ8S-300"
153 }
154 ]
155 },
156 "filter": {
157 "id": 90000001,
158 "name": "Q4 2024 Disclosure Filter",
159 "principalPositionType": {
160 "name": "LESSEE",
161 "captionKey": "enum.principalpositiontype.lessee",
162 "caption": "Lessee"
163 },
164 "calendarType": {
165 "name": "_360",
166 "captionKey": "enum.calendarType.360",
167 "caption": "360 Convention"
168 },
169 "fiscalYearVariant": {
170 "id": "string",
171 "displayId": "Euro"
172 },
173 "profileId": 70000001,
174 "jobId": 50000001,
175 "filterTypes": {
176 "erpSystemFilterType": {
177 "name": "ALL",
178 "captionKey": "enum.filterType.all",
179 "caption": "All"
180 },
181 "erpSystems": [
182 {
183 "id": 10000001,
184 "displayId": "ERP-001",
185 "status": {
186 "name": "ACTIVE",
187 "captionKey": "enum.objectStatus.active",
188 "active": true,
189 "caption": "Active"
190 },
191 "name": "SAP Production System",
192 "type": {
193 "name": "NAKISA",
194 "captionKey": "enum.erpSystemType.NAKISA",
195 "caption": "NAKISA"
196 },
197 "sapVersion": {
198 "name": "ECC_EHP5",
199 "captionKey": "enum.sapVersion.ECC_EHP5",
200 "caption": "ECC_EHP5"
201 }
202 }
203 ],
204 "leaseAreaFilterType": {
205 "name": "ALL",
206 "captionKey": "enum.filterType.all",
207 "caption": "All"
208 },
209 "leaseAreas": [
210 {
211 "id": 10000001,
212 "displayId": "0001",
213 "status": {
214 "name": "ACTIVE",
215 "captionKey": "enum.objectStatus.active",
216 "active": true,
217 "caption": "Active"
218 },
219 "name": "Global Lease Area"
220 }
221 ],
222 "businessUnitFilterType": {
223 "name": "ALL",
224 "captionKey": "enum.filterType.all",
225 "caption": "All"
226 },
227 "businessUnits": [
228 {
229 "id": 10000001,
230 "displayId": "BU0001",
231 "status": {
232 "name": "ACTIVE",
233 "captionKey": "enum.objectStatus.active",
234 "active": true,
235 "caption": "Active"
236 },
237 "name": "North America Business Unit"
238 }
239 ],
240 "companyFilterType": {
241 "name": "ALL",
242 "captionKey": "enum.filterType.all",
243 "caption": "All"
244 },
245 "companies": [
246 {
247 "id": 10000006,
248 "displayId": "1005",
249 "status": {
250 "name": "ACTIVE",
251 "captionKey": "enum.objectStatus.active",
252 "active": true,
253 "caption": "Active"
254 },
255 "erpSystemId": 10000001,
256 "erpSystemDisplayId": "FINQ8S-300",
257 "countryId": 10000095,
258 "countryDisplayId": "CA",
259 "name": "string",
260 "postingPeriodVariantId": 0,
261 "fiscalVariantId": 0
262 }
263 ],
264 "leaseDepartmentFilterType": {
265 "name": "ALL",
266 "captionKey": "enum.filterType.all",
267 "caption": "All"
268 },
269 "leaseDepartments": [
270 {
271 "id": 300001,
272 "displayId": "DEP-01",
273 "status": {
274 "name": "ACTIVE",
275 "captionKey": "enum.objectStatus.active",
276 "active": true,
277 "caption": "Active"
278 },
279 "name": "Finance Department"
280 }
281 ],
282 "leaseGroupFilterType": {
283 "name": "ALL",
284 "captionKey": "enum.filterType.all",
285 "caption": "All"
286 },
287 "leaseGroups": [
288 {
289 "id": 60000001,
290 "displayId": "LG-001",
291 "status": {
292 "name": "ACTIVE",
293 "captionKey": "enum.objectStatus.active",
294 "active": true,
295 "caption": "Active"
296 },
297 "name": "Global Lease Group"
298 }
299 ],
300 "costCenterFilterType": {
301 "name": "ALL",
302 "captionKey": "enum.filterType.all",
303 "caption": "All"
304 },
305 "costCenters": [
306 {
307 "id": 14001,
308 "displayId": "CC-001",
309 "status": {
310 "name": "ACTIVE",
311 "captionKey": "enum.objectStatus.active",
312 "active": true,
313 "caption": "Active"
314 },
315 "name": "Cost Center A",
316 "erpSystemId": 0
317 }
318 ],
319 "profitCenterFilterType": {
320 "name": "ALL",
321 "captionKey": "enum.filterType.all",
322 "caption": "All"
323 },
324 "profitCenters": [
325 {
326 "id": 9001,
327 "displayId": "PC-001",
328 "status": {
329 "name": "ACTIVE",
330 "captionKey": "enum.objectStatus.active",
331 "active": true,
332 "caption": "Active"
333 },
334 "name": "North Region Profit Center",
335 "validTo": "2025-12-31",
336 "erpSystemId": 101,
337 "erpSystemDisplayId": "SAP-01"
338 }
339 ],
340 "wbsFilterType": {
341 "name": "ALL",
342 "captionKey": "enum.filterType.all",
343 "caption": "All"
344 },
345 "wbses": [
346 {
347 "id": 1001,
348 "displayId": "WBS-2025-001",
349 "status": {
350 "name": "ACTIVE",
351 "captionKey": "enum.objectStatus.active",
352 "active": true,
353 "caption": "Active"
354 },
355 "name": "Main Project WBS",
356 "erpSystemId": 0
357 }
358 ],
359 "businessAreaFilterType": {
360 "name": "ALL",
361 "captionKey": "enum.filterType.all",
362 "caption": "All"
363 },
364 "businessAreas": [
365 {
366 "id": 3001,
367 "displayId": "BA-2025-001",
368 "status": {
369 "name": "ACTIVE",
370 "captionKey": "enum.objectStatus.active",
371 "active": true,
372 "caption": "Active"
373 },
374 "name": "North America Operations",
375 "erpSystemId": 0
376 }
377 ],
378 "functionalAreaFilterType": {
379 "name": "ALL",
380 "captionKey": "enum.filterType.all",
381 "caption": "All"
382 },
383 "functionalAreas": [
384 {
385 "id": 2001,
386 "displayId": "FA-2025-001",
387 "status": {
388 "name": "ACTIVE",
389 "captionKey": "enum.objectStatus.active",
390 "active": true,
391 "caption": "Active"
392 },
393 "name": "Accounting Department",
394 "erpSystemId": 0
395 }
396 ]
397 },
398 "baseIdList": [
399 {
400 "id": 10000001,
401 "displayId": "string",
402 "objectType": "LEASE_AREA"
403 }
404 ]
405 },
406 "tasks": [
407 {
408 "id": 100000001,
409 "queueTime": "2025-01-15T10:30:00Z",
410 "startTime": "2025-01-15T10:35:00Z",
411 "endTime": "2025-01-15T11:00:00Z",
412 "interruptedAt": "2019-08-24T14:15:22Z",
413 "recoveredAt": "2019-08-24T14:15:22Z",
414 "status": {
415 "name": "COMPLETED",
416 "captionKey": "enum.taskStatus.completed",
417 "caption": "Completed"
418 },
419 "recover": false,
420 "interrupted": false,
421 "interruptionMessage": "string",
422 "errorMessage": "string",
423 "disclosureReportType": {
424 "name": "NET_LEASE_INVESTMENT_REPORT",
425 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
426 "caption": "Net Lease Investment Report"
427 },
428 "fileStorageId": "storage-abc123xyz",
429 "jsonFileStorageId": "json-storage-def456uvw",
430 "generatingExportFile": false,
431 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
432 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
433 "reportJobId": 50000001,
434 "version": 1,
435 "jsonDocStoreIds": [
436 100001,
437 100002
438 ],
439 "docStoreId": 200000001
440 }
441 ]
442}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Disclosure report job successfully created or updated. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 50000001,
8 "taskCount": 12,
9 "failedTaskCount": 0,
10 "doneTaskCount": 10,
11 "inProgressTaskCount": 2,
12 "cancelledTaskCount": 0,
13 "errorMessage": "Task execution failed due to timeout.",
14 "executor": {
15 "name": "MANUAL",
16 "captionKey": "enum.executorType.MANUAL",
17 "caption": "MANUAL"
18 },
19 "scheduleJobId": 60000001,
20 "batchSize": 5000,
21 "totalObjectCount": 250,
22 "profileId": 70000001,
23 "readOnly": false,
24 "input": {
25 "id": 80000001,
26 "accountingStandardType": {
27 "name": "GAAP",
28 "captionKey": "enum.accountingStandardType.GAAP",
29 "caption": "IFRS 16"
30 },
31 "classifications": [
32 "NON_LEASE"
33 ],
34 "fromYear": 2024,
35 "fromPeriod": {
36 "id": 10000001,
37 "displayId": "FP-2024-Q1",
38 "status": {
39 "name": "ACTIVE",
40 "captionKey": "enum.objectStatus.active",
41 "active": true,
42 "caption": "Active"
43 },
44 "day": 15,
45 "year": 2024,
46 "month": 3,
47 "postingPeriod": 3,
48 "yearShift": 0
49 },
50 "toYear": 2025,
51 "toPeriod": {
52 "id": 10000001,
53 "displayId": "FP-2024-Q1",
54 "status": {
55 "name": "ACTIVE",
56 "captionKey": "enum.objectStatus.active",
57 "active": true,
58 "caption": "Active"
59 },
60 "day": 15,
61 "year": 2024,
62 "month": 3,
63 "postingPeriod": 3,
64 "yearShift": 0
65 },
66 "fromDate": "2024-01-01",
67 "toDate": "2025-12-31",
68 "fromDateType": "USER_DEFINED",
69 "toDateType": "USER_DEFINED",
70 "currencyDisplayId": "USD",
71 "currencyType": "TRANSACTION",
72 "currencyDefinitionType": {
73 "name": "COMPANY_CURRENCY",
74 "captionKey": "enum.currencyDefinitionType.companyCurrency",
75 "caption": "Company Currency"
76 },
77 "activationGroupStatus": {
78 "name": "AG_PENDING_ASSESSMENT",
79 "captionKey": "enum.ActivationGroup.StatusList",
80 "caption": "Activation Group Status"
81 },
82 "reportList": [
83 "NET_LEASE_INVESTMENT_REPORT"
84 ],
85 "listObjectType": {
86 "name": "CONTRACT",
87 "captionKey": "enum.objectType.contract",
88 "caption": "Contract"
89 },
90 "objectList": [
91 {
92 "id": 10000001,
93 "displayId": "ENT-001",
94 "name": "Entity Name"
95 }
96 ],
97 "migratedFilterType": {
98 "name": "ALL",
99 "captionKey": "enum.migratedFilterType.all",
100 "caption": "All"
101 },
102 "assetClassFilterType": {
103 "name": "ALL",
104 "captionKey": "enum.filterType.all",
105 "caption": "All"
106 },
107 "assetClasses": [
108 {
109 "id": 10000001,
110 "displayId": "IAC-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Machinery and Equipment",
118 "assetClassType": "PROPERTY",
119 "infiniteUsefulLife": false
120 }
121 ],
122 "businessAreaFilterType": {
123 "name": "ALL",
124 "captionKey": "enum.filterType.all",
125 "caption": "All"
126 },
127 "businessAreas": [
128 {
129 "id": 3001,
130 "displayId": "BA-2025-001",
131 "status": {
132 "name": "ACTIVE",
133 "captionKey": "enum.objectStatus.active",
134 "active": true,
135 "caption": "Active"
136 },
137 "name": "North America Operations",
138 "erpSystemId": 0
139 }
140 ],
141 "vendorFilterType": {
142 "name": "ALL",
143 "captionKey": "enum.filterType.all",
144 "caption": "All"
145 },
146 "vendors": [
147 {
148 "id": 10000012,
149 "displayId": "0000100003",
150 "status": {
151 "name": "ACTIVE",
152 "captionKey": "enum.objectStatus.active",
153 "active": true,
154 "caption": "Active"
155 },
156 "name": "TEST VENDOR GB",
157 "erpSystemDisplayId": "FINQ8S-300"
158 }
159 ]
160 },
161 "filter": {
162 "id": 90000001,
163 "name": "Q4 2024 Disclosure Filter",
164 "principalPositionType": {
165 "name": "LESSEE",
166 "captionKey": "enum.principalpositiontype.lessee",
167 "caption": "Lessee"
168 },
169 "calendarType": {
170 "name": "_360",
171 "captionKey": "enum.calendarType.360",
172 "caption": "360 Convention"
173 },
174 "fiscalYearVariant": {
175 "id": "string",
176 "displayId": "Euro"
177 },
178 "profileId": 70000001,
179 "jobId": 50000001,
180 "filterTypes": {
181 "erpSystemFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "erpSystems": [
187 {
188 "id": 10000001,
189 "displayId": "ERP-001",
190 "status": {
191 "name": "ACTIVE",
192 "captionKey": "enum.objectStatus.active",
193 "active": true,
194 "caption": "Active"
195 },
196 "name": "SAP Production System",
197 "type": {
198 "name": "NAKISA",
199 "captionKey": "enum.erpSystemType.NAKISA",
200 "caption": "NAKISA"
201 },
202 "sapVersion": {
203 "name": "ECC_EHP5",
204 "captionKey": "enum.sapVersion.ECC_EHP5",
205 "caption": "ECC_EHP5"
206 }
207 }
208 ],
209 "leaseAreaFilterType": {
210 "name": "ALL",
211 "captionKey": "enum.filterType.all",
212 "caption": "All"
213 },
214 "leaseAreas": [
215 {
216 "id": 10000001,
217 "displayId": "0001",
218 "status": {
219 "name": "ACTIVE",
220 "captionKey": "enum.objectStatus.active",
221 "active": true,
222 "caption": "Active"
223 },
224 "name": "Global Lease Area"
225 }
226 ],
227 "businessUnitFilterType": {
228 "name": "ALL",
229 "captionKey": "enum.filterType.all",
230 "caption": "All"
231 },
232 "businessUnits": [
233 {
234 "id": 10000001,
235 "displayId": "BU0001",
236 "status": {
237 "name": "ACTIVE",
238 "captionKey": "enum.objectStatus.active",
239 "active": true,
240 "caption": "Active"
241 },
242 "name": "North America Business Unit"
243 }
244 ],
245 "companyFilterType": {
246 "name": "ALL",
247 "captionKey": "enum.filterType.all",
248 "caption": "All"
249 },
250 "companies": [
251 {
252 "id": 10000006,
253 "displayId": "1005",
254 "status": {
255 "name": "ACTIVE",
256 "captionKey": "enum.objectStatus.active",
257 "active": true,
258 "caption": "Active"
259 },
260 "erpSystemId": 10000001,
261 "erpSystemDisplayId": "FINQ8S-300",
262 "countryId": 10000095,
263 "countryDisplayId": "CA",
264 "name": "string",
265 "postingPeriodVariantId": 0,
266 "fiscalVariantId": 0
267 }
268 ],
269 "leaseDepartmentFilterType": {
270 "name": "ALL",
271 "captionKey": "enum.filterType.all",
272 "caption": "All"
273 },
274 "leaseDepartments": [
275 {
276 "id": 300001,
277 "displayId": "DEP-01",
278 "status": {
279 "name": "ACTIVE",
280 "captionKey": "enum.objectStatus.active",
281 "active": true,
282 "caption": "Active"
283 },
284 "name": "Finance Department"
285 }
286 ],
287 "leaseGroupFilterType": {
288 "name": "ALL",
289 "captionKey": "enum.filterType.all",
290 "caption": "All"
291 },
292 "leaseGroups": [
293 {
294 "id": 60000001,
295 "displayId": "LG-001",
296 "status": {
297 "name": "ACTIVE",
298 "captionKey": "enum.objectStatus.active",
299 "active": true,
300 "caption": "Active"
301 },
302 "name": "Global Lease Group"
303 }
304 ],
305 "costCenterFilterType": {
306 "name": "ALL",
307 "captionKey": "enum.filterType.all",
308 "caption": "All"
309 },
310 "costCenters": [
311 {
312 "id": 14001,
313 "displayId": "CC-001",
314 "status": {
315 "name": "ACTIVE",
316 "captionKey": "enum.objectStatus.active",
317 "active": true,
318 "caption": "Active"
319 },
320 "name": "Cost Center A",
321 "erpSystemId": 0
322 }
323 ],
324 "profitCenterFilterType": {
325 "name": "ALL",
326 "captionKey": "enum.filterType.all",
327 "caption": "All"
328 },
329 "profitCenters": [
330 {
331 "id": 9001,
332 "displayId": "PC-001",
333 "status": {
334 "name": "ACTIVE",
335 "captionKey": "enum.objectStatus.active",
336 "active": true,
337 "caption": "Active"
338 },
339 "name": "North Region Profit Center",
340 "validTo": "2025-12-31",
341 "erpSystemId": 101,
342 "erpSystemDisplayId": "SAP-01"
343 }
344 ],
345 "wbsFilterType": {
346 "name": "ALL",
347 "captionKey": "enum.filterType.all",
348 "caption": "All"
349 },
350 "wbses": [
351 {
352 "id": 1001,
353 "displayId": "WBS-2025-001",
354 "status": {
355 "name": "ACTIVE",
356 "captionKey": "enum.objectStatus.active",
357 "active": true,
358 "caption": "Active"
359 },
360 "name": "Main Project WBS",
361 "erpSystemId": 0
362 }
363 ],
364 "businessAreaFilterType": {
365 "name": "ALL",
366 "captionKey": "enum.filterType.all",
367 "caption": "All"
368 },
369 "businessAreas": [
370 {
371 "id": 3001,
372 "displayId": "BA-2025-001",
373 "status": {
374 "name": "ACTIVE",
375 "captionKey": "enum.objectStatus.active",
376 "active": true,
377 "caption": "Active"
378 },
379 "name": "North America Operations",
380 "erpSystemId": 0
381 }
382 ],
383 "functionalAreaFilterType": {
384 "name": "ALL",
385 "captionKey": "enum.filterType.all",
386 "caption": "All"
387 },
388 "functionalAreas": [
389 {
390 "id": 2001,
391 "displayId": "FA-2025-001",
392 "status": {
393 "name": "ACTIVE",
394 "captionKey": "enum.objectStatus.active",
395 "active": true,
396 "caption": "Active"
397 },
398 "name": "Accounting Department",
399 "erpSystemId": 0
400 }
401 ]
402 },
403 "baseIdList": [
404 {
405 "id": 10000001,
406 "displayId": "string",
407 "objectType": "LEASE_AREA"
408 }
409 ]
410 },
411 "tasks": [
412 {
413 "id": 100000001,
414 "queueTime": "2025-01-15T10:30:00Z",
415 "startTime": "2025-01-15T10:35:00Z",
416 "endTime": "2025-01-15T11:00:00Z",
417 "interruptedAt": "2019-08-24T14:15:22Z",
418 "recoveredAt": "2019-08-24T14:15:22Z",
419 "status": {
420 "name": "COMPLETED",
421 "captionKey": "enum.taskStatus.completed",
422 "caption": "Completed"
423 },
424 "recover": false,
425 "interrupted": false,
426 "interruptionMessage": "string",
427 "errorMessage": "string",
428 "disclosureReportType": {
429 "name": "NET_LEASE_INVESTMENT_REPORT",
430 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
431 "caption": "Net Lease Investment Report"
432 },
433 "fileStorageId": "storage-abc123xyz",
434 "jsonFileStorageId": "json-storage-def456uvw",
435 "generatingExportFile": false,
436 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
437 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
438 "reportJobId": 50000001,
439 "version": 1,
440 "jsonDocStoreIds": [
441 100001,
442 100002
443 ],
444 "docStoreId": 200000001
445 }
446 ]
447 }
448}
Update Multiple Disclosure Report Jobs¶
HTTP Request
PUT /api/v1/disclosure_reports/jobs/bulk
📋 Description: Updates multiple disclosure reports in bulk within the Nakisa Lease Accounting Suite, facilitating efficient management of lease and contract financial obligations and ensuring accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing a collection of bulk disclosure report job entries, each detailing lease and contract information relevant to financial obligations and accounting entries. |
Body Parameters
1[
2 {
3 "id": 50000001,
4 "taskCount": 12,
5 "failedTaskCount": 0,
6 "doneTaskCount": 10,
7 "inProgressTaskCount": 2,
8 "cancelledTaskCount": 0,
9 "errorMessage": "Task execution failed due to timeout.",
10 "executor": {
11 "name": "MANUAL",
12 "captionKey": "enum.executorType.MANUAL",
13 "caption": "MANUAL"
14 },
15 "scheduleJobId": 60000001,
16 "batchSize": 5000,
17 "totalObjectCount": 250,
18 "profileId": 70000001,
19 "readOnly": false,
20 "input": {
21 "id": 80000001,
22 "accountingStandardType": {
23 "name": "GAAP",
24 "captionKey": "enum.accountingStandardType.GAAP",
25 "caption": "IFRS 16"
26 },
27 "classifications": [
28 "NON_LEASE"
29 ],
30 "fromYear": 2024,
31 "fromPeriod": {
32 "id": 10000001,
33 "displayId": "FP-2024-Q1",
34 "status": {
35 "name": "ACTIVE",
36 "captionKey": "enum.objectStatus.active",
37 "active": true,
38 "caption": "Active"
39 },
40 "day": 15,
41 "year": 2024,
42 "month": 3,
43 "postingPeriod": 3,
44 "yearShift": 0
45 },
46 "toYear": 2025,
47 "toPeriod": {
48 "id": 10000001,
49 "displayId": "FP-2024-Q1",
50 "status": {
51 "name": "ACTIVE",
52 "captionKey": "enum.objectStatus.active",
53 "active": true,
54 "caption": "Active"
55 },
56 "day": 15,
57 "year": 2024,
58 "month": 3,
59 "postingPeriod": 3,
60 "yearShift": 0
61 },
62 "fromDate": "2024-01-01",
63 "toDate": "2025-12-31",
64 "fromDateType": "USER_DEFINED",
65 "toDateType": "USER_DEFINED",
66 "currencyDisplayId": "USD",
67 "currencyType": "TRANSACTION",
68 "currencyDefinitionType": {
69 "name": "COMPANY_CURRENCY",
70 "captionKey": "enum.currencyDefinitionType.companyCurrency",
71 "caption": "Company Currency"
72 },
73 "activationGroupStatus": {
74 "name": "AG_PENDING_ASSESSMENT",
75 "captionKey": "enum.ActivationGroup.StatusList",
76 "caption": "Activation Group Status"
77 },
78 "reportList": [
79 "NET_LEASE_INVESTMENT_REPORT"
80 ],
81 "listObjectType": {
82 "name": "CONTRACT",
83 "captionKey": "enum.objectType.contract",
84 "caption": "Contract"
85 },
86 "objectList": [
87 {
88 "id": 10000001,
89 "displayId": "ENT-001",
90 "name": "Entity Name"
91 }
92 ],
93 "migratedFilterType": {
94 "name": "ALL",
95 "captionKey": "enum.migratedFilterType.all",
96 "caption": "All"
97 },
98 "assetClassFilterType": {
99 "name": "ALL",
100 "captionKey": "enum.filterType.all",
101 "caption": "All"
102 },
103 "assetClasses": [
104 {
105 "id": 10000001,
106 "displayId": "IAC-001",
107 "status": {
108 "name": "ACTIVE",
109 "captionKey": "enum.objectStatus.active",
110 "active": true,
111 "caption": "Active"
112 },
113 "name": "Machinery and Equipment",
114 "assetClassType": "PROPERTY",
115 "infiniteUsefulLife": false
116 }
117 ],
118 "businessAreaFilterType": {
119 "name": "ALL",
120 "captionKey": "enum.filterType.all",
121 "caption": "All"
122 },
123 "businessAreas": [
124 {
125 "id": 3001,
126 "displayId": "BA-2025-001",
127 "status": {
128 "name": "ACTIVE",
129 "captionKey": "enum.objectStatus.active",
130 "active": true,
131 "caption": "Active"
132 },
133 "name": "North America Operations",
134 "erpSystemId": 0
135 }
136 ],
137 "vendorFilterType": {
138 "name": "ALL",
139 "captionKey": "enum.filterType.all",
140 "caption": "All"
141 },
142 "vendors": [
143 {
144 "id": 10000012,
145 "displayId": "0000100003",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "TEST VENDOR GB",
153 "erpSystemDisplayId": "FINQ8S-300"
154 }
155 ]
156 },
157 "filter": {
158 "id": 90000001,
159 "name": "Q4 2024 Disclosure Filter",
160 "principalPositionType": {
161 "name": "LESSEE",
162 "captionKey": "enum.principalpositiontype.lessee",
163 "caption": "Lessee"
164 },
165 "calendarType": {
166 "name": "_360",
167 "captionKey": "enum.calendarType.360",
168 "caption": "360 Convention"
169 },
170 "fiscalYearVariant": {
171 "id": "string",
172 "displayId": "Euro"
173 },
174 "profileId": 70000001,
175 "jobId": 50000001,
176 "filterTypes": {
177 "erpSystemFilterType": {
178 "name": "ALL",
179 "captionKey": "enum.filterType.all",
180 "caption": "All"
181 },
182 "erpSystems": [
183 {
184 "id": 10000001,
185 "displayId": "ERP-001",
186 "status": {
187 "name": "ACTIVE",
188 "captionKey": "enum.objectStatus.active",
189 "active": true,
190 "caption": "Active"
191 },
192 "name": "SAP Production System",
193 "type": {
194 "name": "NAKISA",
195 "captionKey": "enum.erpSystemType.NAKISA",
196 "caption": "NAKISA"
197 },
198 "sapVersion": {
199 "name": "ECC_EHP5",
200 "captionKey": "enum.sapVersion.ECC_EHP5",
201 "caption": "ECC_EHP5"
202 }
203 }
204 ],
205 "leaseAreaFilterType": {
206 "name": "ALL",
207 "captionKey": "enum.filterType.all",
208 "caption": "All"
209 },
210 "leaseAreas": [
211 {
212 "id": 10000001,
213 "displayId": "0001",
214 "status": {
215 "name": "ACTIVE",
216 "captionKey": "enum.objectStatus.active",
217 "active": true,
218 "caption": "Active"
219 },
220 "name": "Global Lease Area"
221 }
222 ],
223 "businessUnitFilterType": {
224 "name": "ALL",
225 "captionKey": "enum.filterType.all",
226 "caption": "All"
227 },
228 "businessUnits": [
229 {
230 "id": 10000001,
231 "displayId": "BU0001",
232 "status": {
233 "name": "ACTIVE",
234 "captionKey": "enum.objectStatus.active",
235 "active": true,
236 "caption": "Active"
237 },
238 "name": "North America Business Unit"
239 }
240 ],
241 "companyFilterType": {
242 "name": "ALL",
243 "captionKey": "enum.filterType.all",
244 "caption": "All"
245 },
246 "companies": [
247 {
248 "id": 10000006,
249 "displayId": "1005",
250 "status": {
251 "name": "ACTIVE",
252 "captionKey": "enum.objectStatus.active",
253 "active": true,
254 "caption": "Active"
255 },
256 "erpSystemId": 10000001,
257 "erpSystemDisplayId": "FINQ8S-300",
258 "countryId": 10000095,
259 "countryDisplayId": "CA",
260 "name": "string",
261 "postingPeriodVariantId": 0,
262 "fiscalVariantId": 0
263 }
264 ],
265 "leaseDepartmentFilterType": {
266 "name": "ALL",
267 "captionKey": "enum.filterType.all",
268 "caption": "All"
269 },
270 "leaseDepartments": [
271 {
272 "id": 300001,
273 "displayId": "DEP-01",
274 "status": {
275 "name": "ACTIVE",
276 "captionKey": "enum.objectStatus.active",
277 "active": true,
278 "caption": "Active"
279 },
280 "name": "Finance Department"
281 }
282 ],
283 "leaseGroupFilterType": {
284 "name": "ALL",
285 "captionKey": "enum.filterType.all",
286 "caption": "All"
287 },
288 "leaseGroups": [
289 {
290 "id": 60000001,
291 "displayId": "LG-001",
292 "status": {
293 "name": "ACTIVE",
294 "captionKey": "enum.objectStatus.active",
295 "active": true,
296 "caption": "Active"
297 },
298 "name": "Global Lease Group"
299 }
300 ],
301 "costCenterFilterType": {
302 "name": "ALL",
303 "captionKey": "enum.filterType.all",
304 "caption": "All"
305 },
306 "costCenters": [
307 {
308 "id": 14001,
309 "displayId": "CC-001",
310 "status": {
311 "name": "ACTIVE",
312 "captionKey": "enum.objectStatus.active",
313 "active": true,
314 "caption": "Active"
315 },
316 "name": "Cost Center A",
317 "erpSystemId": 0
318 }
319 ],
320 "profitCenterFilterType": {
321 "name": "ALL",
322 "captionKey": "enum.filterType.all",
323 "caption": "All"
324 },
325 "profitCenters": [
326 {
327 "id": 9001,
328 "displayId": "PC-001",
329 "status": {
330 "name": "ACTIVE",
331 "captionKey": "enum.objectStatus.active",
332 "active": true,
333 "caption": "Active"
334 },
335 "name": "North Region Profit Center",
336 "validTo": "2025-12-31",
337 "erpSystemId": 101,
338 "erpSystemDisplayId": "SAP-01"
339 }
340 ],
341 "wbsFilterType": {
342 "name": "ALL",
343 "captionKey": "enum.filterType.all",
344 "caption": "All"
345 },
346 "wbses": [
347 {
348 "id": 1001,
349 "displayId": "WBS-2025-001",
350 "status": {
351 "name": "ACTIVE",
352 "captionKey": "enum.objectStatus.active",
353 "active": true,
354 "caption": "Active"
355 },
356 "name": "Main Project WBS",
357 "erpSystemId": 0
358 }
359 ],
360 "businessAreaFilterType": {
361 "name": "ALL",
362 "captionKey": "enum.filterType.all",
363 "caption": "All"
364 },
365 "businessAreas": [
366 {
367 "id": 3001,
368 "displayId": "BA-2025-001",
369 "status": {
370 "name": "ACTIVE",
371 "captionKey": "enum.objectStatus.active",
372 "active": true,
373 "caption": "Active"
374 },
375 "name": "North America Operations",
376 "erpSystemId": 0
377 }
378 ],
379 "functionalAreaFilterType": {
380 "name": "ALL",
381 "captionKey": "enum.filterType.all",
382 "caption": "All"
383 },
384 "functionalAreas": [
385 {
386 "id": 2001,
387 "displayId": "FA-2025-001",
388 "status": {
389 "name": "ACTIVE",
390 "captionKey": "enum.objectStatus.active",
391 "active": true,
392 "caption": "Active"
393 },
394 "name": "Accounting Department",
395 "erpSystemId": 0
396 }
397 ]
398 },
399 "baseIdList": [
400 {
401 "id": 10000001,
402 "displayId": "string",
403 "objectType": "LEASE_AREA"
404 }
405 ]
406 },
407 "tasks": [
408 {
409 "id": 100000001,
410 "queueTime": "2025-01-15T10:30:00Z",
411 "startTime": "2025-01-15T10:35:00Z",
412 "endTime": "2025-01-15T11:00:00Z",
413 "interruptedAt": "2019-08-24T14:15:22Z",
414 "recoveredAt": "2019-08-24T14:15:22Z",
415 "status": {
416 "name": "COMPLETED",
417 "captionKey": "enum.taskStatus.completed",
418 "caption": "Completed"
419 },
420 "recover": false,
421 "interrupted": false,
422 "interruptionMessage": "string",
423 "errorMessage": "string",
424 "disclosureReportType": {
425 "name": "NET_LEASE_INVESTMENT_REPORT",
426 "captionKey": "enum.disclosureReportType.NET_LEASE_INVESTMENT_REPORT",
427 "caption": "Net Lease Investment Report"
428 },
429 "fileStorageId": "storage-abc123xyz",
430 "jsonFileStorageId": "json-storage-def456uvw",
431 "generatingExportFile": false,
432 "startedGeneratingExportFileAt": "2025-01-15T11:01:00Z",
433 "finishedGeneratingExportFileAt": "2025-01-15T11:05:00Z",
434 "reportJobId": 50000001,
435 "version": 1,
436 "jsonDocStoreIds": [
437 100001,
438 100002
439 ],
440 "docStoreId": 200000001
441 }
442 ]
443 }
444]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Disclosure report jobs successfully updated. |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 50000001,
9 "taskCount": 12,
10 "failedTaskCount": 0,
11 "doneTaskCount": 10,
12 "inProgressTaskCount": 2,
13 "cancelledTaskCount": 0,
14 "errorMessage": "Task execution failed due to timeout.",
15 "executor": {
16 "name": "MANUAL",
17 "captionKey": "enum.executorType.MANUAL",
18 "caption": "MANUAL"
19 },
20 "scheduleJobId": 60000001,
21 "batchSize": 5000,
22 "totalObjectCount": 250,
23 "profileId": 70000001,
24 "readOnly": false,
25 "input": {
26 "id": 80000001,
27 "accountingStandardType": {
28 "name": "GAAP",
29 "captionKey": "enum.accountingStandardType.GAAP",
30 "caption": "IFRS 16"
31 },
32 "classifications": [
33 "NON_LEASE"
34 ],
35 "fromYear": 2024,
36 "fromPeriod": {
37 "id": 10000001,
38 "displayId": "FP-2024-Q1",
39 "status": {
40 "name": "ACTIVE",
41 "captionKey": "enum.objectStatus.active",
42 "active": true,
43 "caption": "Active"
44 },
45 "day": 15,
46 "year": 2024,
47 "month": 3,
48 "postingPeriod": 3,
49 "yearShift": 0
50 },
51 "toYear": 2025,
52 "toPeriod": {
53 "id": 10000001,
54 "displayId": "FP-2024-Q1",
55 "status": {
56 "name": "ACTIVE",
57 "captionKey": "enum.objectStatus.active",
58 "active": true,
59 "caption": "Active"
60 },
61 "day": 15,
62 "year": 2024,
63 "month": 3,
64 "postingPeriod": 3,
65 "yearShift": 0
66 },
67 "fromDate": "2024-01-01",
68 "toDate": "2025-12-31",
69 "fromDateType": "USER_DEFINED",
70 "toDateType": "USER_DEFINED",
71 "currencyDisplayId": "USD",
72 "currencyType": "TRANSACTION",
73 "currencyDefinitionType": {
74 "name": "COMPANY_CURRENCY",
75 "captionKey": "enum.currencyDefinitionType.companyCurrency",
76 "caption": "Company Currency"
77 },
78 "activationGroupStatus": {
79 "name": "AG_PENDING_ASSESSMENT",
80 "captionKey": "enum.ActivationGroup.StatusList",
81 "caption": "Activation Group Status"
82 },
83 "reportList": [
84 "NET_LEASE_INVESTMENT_REPORT"
85 ],
86 "listObjectType": {
87 "name": "CONTRACT",
88 "captionKey": "enum.objectType.contract",
89 "caption": "Contract"
90 },
91 "objectList": [
92 {
93 "id": 10000001,
94 "displayId": "ENT-001",
95 "name": "Entity Name"
96 }
97 ],
98 "migratedFilterType": {
99 "name": "ALL",
100 "captionKey": "enum.migratedFilterType.all",
101 "caption": "All"
102 },
103 "assetClassFilterType": {
104 "name": "ALL",
105 "captionKey": "enum.filterType.all",
106 "caption": "All"
107 },
108 "assetClasses": [
109 {
110 "id": 10000001,
111 "displayId": "IAC-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "Machinery and Equipment",
119 "assetClassType": "PROPERTY",
120 "infiniteUsefulLife": false
121 }
122 ],
123 "businessAreaFilterType": {
124 "name": "ALL",
125 "captionKey": "enum.filterType.all",
126 "caption": "All"
127 },
128 "businessAreas": [
129 {
130 "id": 3001,
131 "displayId": "BA-2025-001",
132 "status": {
133 "name": "ACTIVE",
134 "captionKey": "enum.objectStatus.active",
135 "active": true,
136 "caption": "Active"
137 },
138 "name": "North America Operations",
139 "erpSystemId": 0
140 }
141 ],
142 "vendorFilterType": {
143 "name": "ALL",
144 "captionKey": "enum.filterType.all",
145 "caption": "All"
146 },
147 "vendors": [
148 {
149 "id": 10000012,
150 "displayId": "0000100003",
151 "status": {
152 "name": "ACTIVE",
153 "captionKey": "enum.objectStatus.active",
154 "active": true,
155 "caption": "Active"
156 },
157 "name": "TEST VENDOR GB",
158 "erpSystemDisplayId": "FINQ8S-300"
159 }
160 ]
161 },
162 "filter": {
163 "id": 90000001,
164 "name": "Q4 2024 Disclosure Filter",
165 "principalPositionType": {
166 "name": "LESSEE",
167 "captionKey": "enum.principalpositiontype.lessee",
168 "caption": "Lessee"
169 },
170 "calendarType": {
171 "name": "_360",
172 "captionKey": "enum.calendarType.360",
173 "caption": "360 Convention"
174 },
175 "fiscalYearVariant": {
176 "id": "string",
177 "displayId": "Euro"
178 },
179 "profileId": 70000001,
180 "jobId": 50000001,
181 "filterTypes": {
182 "erpSystemFilterType": {
183 "name": "ALL",
184 "captionKey": "enum.filterType.all",
185 "caption": "All"
186 },
187 "erpSystems": [
188 {
189 "id": 10000001,
190 "displayId": "ERP-001",
191 "status": {
192 "name": "ACTIVE",
193 "captionKey": "enum.objectStatus.active",
194 "active": true,
195 "caption": "Active"
196 },
197 "name": "SAP Production System",
198 "type": {
199 "name": "NAKISA",
200 "captionKey": "enum.erpSystemType.NAKISA",
201 "caption": "NAKISA"
202 },
203 "sapVersion": {
204 "name": "ECC_EHP5",
205 "captionKey": "enum.sapVersion.ECC_EHP5",
206 "caption": "ECC_EHP5"
207 }
208 }
209 ],
210 "leaseAreaFilterType": {
211 "name": "ALL",
212 "captionKey": "enum.filterType.all",
213 "caption": "All"
214 },
215 "leaseAreas": [
216 {
217 "id": 10000001,
218 "displayId": "0001",
219 "status": {
220 "name": "ACTIVE",
221 "captionKey": "enum.objectStatus.active",
222 "active": true,
223 "caption": "Active"
224 },
225 "name": "Global Lease Area"
226 }
227 ],
228 "businessUnitFilterType": {
229 "name": "ALL",
230 "captionKey": "enum.filterType.all",
231 "caption": "All"
232 },
233 "businessUnits": [
234 {
235 "id": 10000001,
236 "displayId": "BU0001",
237 "status": {
238 "name": "ACTIVE",
239 "captionKey": "enum.objectStatus.active",
240 "active": true,
[...]
